***
*** Transformed Lorenz curves for Cte d'Ivoire (2002)
***
*** This example adapts the code for the standard Lorenz curves 
*** so as to plot the distance between the Lorenz curve and the 
*** 45-degree line.
*** Borrowed from A. deaton
***

cd "C:\Documents and settings\wb235844.WB\Desktop\Other surveys\Donnes\STATA"
do CIVexp

version 4.0
#delimit ;
drop _all;
cap log close;
log using lorenzciv.log, replace; 
cap program drop lcic;
program def lcic;
drop _all;
use hhexp1, clear;
g weight=hhsize*pond;
g pce=hhexp/hhsize;
tempvar hhs;
g hhs=hhsize;
drop if pce==.;
sort pce;
gen wt=hhs*pond;
gen cumpop=sum(wt);
gen cumpce=sum(pce); 
qui summ wt;
replace cumpop=cumpop/(_result(1)*_result(3));
qui summ pce;
replace cumpce=cumpce/(_result(1)*_result(3));
local gg=int(_N/100);
keep if ((`gg'*int(_n/`gg')-_n)==0)|_n==1|_n==_N;
sort pce;
graph cumpce cumpop cumpop,
c(ll) s(..) xlabel(0,0.2,0.4,0.6,0.8,1.0)
ylabel(0, 0.2,0.4,0.6,0.8,1.0);
save temp, replace;
end; 
lcic 2002;
drop _all;
use temp; 
gen cumpce1=cumpce if strate==1;
gen cumpce2=cumpce if strate==2;
gen cumpce3=cumpce if strate==3;
gen cumpce4=cumpce if strate==4;
gen cumpce5=cumpce if strate==5;
drop cumpce;
graph cumpce* cumpop cumpop,
c(lllll) s(.....) xlabel(0,0.2,0.4,0.6,0.8,1.0)
ylabel(0, 0.2,0.4,0.6,0.8,1.0) saving(lorenzic, replace);
/* defining the complementary lorenz curves as graphed */
gen compce1=cumpop-cumpce1;
gen compce2=cumpop-cumpce2;
gen compce3=cumpop-cumpce3;
gen compce4=cumpop-cumpce4;
gen compce5=cumpop-cumpce5;

graph compce* cumpop, c(lllll) s(.....) xlabel(0,0.2,0.4,0.6,0.8,1.0)
ylabel(0, 0.1,0.2,0.3,0.4) saving(complc,replace); 
log close;

