clear
set mem 300m
set matsize 300
set more 1
set seed 123456789
set rmsg on
*! Author: Amadou Bassirou DIALLO
*AFTP, The World Bank, Washington
*CERDI, University of Auvergne.
cd "C:\Documents and Settings\Bachir\Desktop\Bachir\World Bank\Wodon\CIV\Cote d'Ivoire Consumption\STATA"

use sect01, replace
sort hid
save, replace
use pauvre, clear
sort hid
merge hid using sect01
ta _mer
assert _merg==3
keep if _mer==3
drop _mer
sort hid
save temp, replace
use hhexp, clear
sort hid
merge hid using temp
ta _mer
assert _merg==3
keep if _mer==3
drop _mer
compress
sort hid
save temp, replace
use civ_inc, clear
sort hid
merge hid using temp
ta _mer
assert _merg==3
keep if _mer==3
drop _mer
compress
sort hid
save temp, replace
use head-spouse, clear
sort hid
save, replace
use temp, clear
merge hid using head-spouse
ta _mer
assert _merg==3
keep if _mer==3
drop _mer
compress
sort hid
save temp, replace







use temp, replace

*************
***General***
*************
*Weight
g weight=pond/hhsize
*ren _region_ region
*ren _milieu_ milieu
*Actual region of residence
sort grappe
cap drop grappen
encode grappe, gen(grappen)
su grappe grappen
cap drop region
g region=.
replace region=1 if (grappen<141)
replace region=2 if (grappen>=341 & grappen<=374)
replace region=3 if (grappen>=256 & grappen<=280)
replace region=4 if (grappen>=519 & grappen<=524)
replace region=5 if (grappen>=187 & grappen<=217)
replace region=6 if (grappen>=218 & grappen<=255)
replace region=7 if (grappen>=431 & grappen<=449)
replace region=8 if (grappen>=281 & grappen<=323)
replace region=9 if (grappen>=423 & grappen<=430)
replace region=10 if (grappen>=537 & grappen<=540)
replace region=11 if (grappen>=530 & grappen<=536)
replace region=12 if (grappen>=141 & grappen<=186)
replace region=13 if (grappen>=375 & grappen<=422)
replace region=14 if (grappen>=525 & grappen<=529)
replace region=15 if (grappen>=450 & grappen<=463)
replace region=16 if (grappen>=324 & grappen<=340)
replace region=17 if (grappen>=488 & grappen<=502)
replace region=18 if (grappen>=503 & grappen<=518)
replace region=19 if (grappen>=464 & grappen<=487)
cap lab drop region
#delimit;
lab def region 
1"LAGUNES" 
2"ZANZAN" 
3"MOYEN COMOE" 
4"AGNEBY" 
5"SAVANES" 
6"VALLEE DU BANDAMA"
7"N'ZI COMOE"
8"MONTAGNES"
9"DENGUELE"
10"BAFING"
11"MOYEN CAVALLY"
12"HAUT SASSANDRA"
13"BAS SASSANDRA"
14"FROMAGER"
15"MARAHOUE"
16"LACS"
17"WORODOUGOU"
18"SUD BANDAMA"
19"SUD COMOE"
;
#delimit cr
lab values region region 
lab var region "Actual region of residence"
ta region [aw=weig], m
*Ethic group
cap drop ethnie
g ethnie=s1q8
recode ethnie 4=3 5=4 6/max=5
cap label drop ethnie
label define ethnie 1"Akan" 2"Krou" 3"Mande" 4"Voltaique" 5"Etrangers" 
label values ethnie ethnie
lab var ethnie "Ethnic Group"
recode ethnie .=5
ta ethnie [aw=weig], m
*Religion
cap drop religion
g religion=s1q9
recode religion 1/3=1 4=2 5/7=3
cap label drop religion 
label define religion 1"Chretien" 2"Musulman" 3"Animiste/Autres/Sans religion"
label values religion religion
lab var religion "Religion"
recode religion .=3
ta religion [aw=weig], m
cap drop sex
g sex= s1q3 if s1q3~=.
tab sex [aw=weig], m
cap drop relat
g relat= s1q4
ta relat, m
replace relat=3 if ( s1q6a <10 & relat==1)
recode relat 1=1 2=2 3=3 4=4 5/8=5 10=5 9=4 11=6 12/13=7 
cap lab drop relat
label def relat 1"Chief" 2"Spouse" 3"Children" 4"Grand-Parents" 5"Other relatives" 6"Maid" 7"Other non relatives"
lab values relat relat 
ta relat [aw=weig], m
cap drop agey
g agey= s1q6a if s1q6a~=.
ta agey [aw=weig], m
cap drop agey2
g agey2=agey^2
*Generating quintile groups
cap drop percapexp
g percapexp= pchhexp if  (pchhexp>0 &  pchhexp<=5000000)
su percapexp
replace percapexp=r(mean) if percapexp==.
su percapexp [aw=weig]
cap drop rich
xtile rich=percapexp , nq(5)
lab var rich "Wealth Groups"
ta rich [aw=weig], m
sort hid ethnie
cap drop ivoirien
g ivoirien=cond(ethnie<5, 1, 0)
ta ivoirien [aw=weig], m
recode region 4=3 9=8 10=8 11=8 15=14 16=14 18=14
recode region 1=1 2=2 3=3 5=4 6=5 7=6 8=7 12=8 13=9 14=10 17=11 19=12
cap label drop reg2
#delimit;
lab def reg2 1"LAGUNES" 2"ZANZAN" 3"MOYEN COMOE/AGNEBY" 4"SAVANES" 5"VALLEE DU BANDAMA" 
6"N'ZI COMOE" 7"MONTAGNES/DENGUELE/BAFING/MOYEN CAVALLY" 8"HAUT SASSANDRA" 9"BAS SASSANDRA" 
10"FROMAGER/MARAHOUE/LACS/SUD BANDAMA" 11"WORODOUGOU" 12"SUD COMOE" ;
#delimit cr
lab val region reg2
* structure variables
cap drop baby
cap drop kid
cap drop adult
cap drop senior
cap drop num_bab
cap drop num_bab2
cap drop num_kid
cap drop num_kid2
cap drop num_ads
cap drop num_ads2
cap drop num_srs
cap drop num_srs2

gen byte baby   = cond( agey <= 5,              1, 0 )
gen byte kid    = cond( agey >  5 & agey <= 14, 1, 0 )
gen byte adult  = cond( agey > 14 & agey <= 64, 1, 0 )
gen byte senior = cond( agey > 64 & agey <  99, 1, 0 )
bysort hid: egen int num_bab  = sum(baby)
lab var num_bab "Number of under-5s in household"
drop baby
bysort hid: gen int num_bab2 = num_bab^2
lab var num_bab2 "Square of number of under-5s in household"
bysort hid: egen int num_kid = sum(kid)
lab var num_kid "Number of 5-14s in household"
drop kid
bysort hid: gen int num_kid2 = ((num_kid)^2)
lab var num_kid2 "Square of number of 5-14s in household"
bysort hid: egen int num_ads = sum(adult)
lab var num_ads "Number of adults in household"
drop adult
bysort hid: gen int num_ads2 = ((num_ads)^2)
lab var num_ads2 "Square of number of adults in household"
bysort hid: egen int num_srs = sum(senior)
lab var num_srs "Number of 65+ in household"
bysort hid: gen double num_srs2 = (num_srs)^2
lab var num_srs2 "Square of number of 65+ in household"
cap log close

*************
***HEALTH****
*************
log using "Health.log", replace
cap drop morbid
gen morbid=s1q11 if s1q11~=.   /*Have been ill the last 2 weeks*/
ta morbid, m
replace morbid=2 if morbid==.
ta morbid [aw=weig]
cap drop morb_tr
gen morb_tr=s1q12a if s1q12a~=.   /*Duration ill*/
*replace morb_tr =0 if morb_tr==.
cap drop timemorbid
tempvar timemorbid
g timemorbid=s1q12b
recode timemorbid 1=1 2=7 3=30 4=365
replace morb_tr=s1q12a*timemorbid 
ta morb_tr [aw=weig], m
cap drop time_ill
g time_ill = morb_tr
recode time_ill 0=1 1/6=1 7/29=2 30/364=3 365/max=4
cap lab drop time_ill
lab def time_ill 1"Less than one week" 2"Less than one month" 3"Less than one year" 4"More than one year"
lab val time_ill time_ill
ta time_ill [aw=weig], m
cap drop rtreatm 
gen rtreatm = cond(s1q13==1&s1q14==1,1,2) if morbid==1   /*Sick a treatment*/
tab rtreatm [aw=weig], m
cap drop hprovide 
gen hprovide = s1q17 if s1q17~=.         /*Place of consultation*/
recode hprovide 1=1 2/5=2 6=3 7=2 10=4 8/9=5 11=2 12=5 
cap lab drop hprovide
lab def hprovide 1"Hospital" 2"Health Center" 3"Pharmacy" 4"Traditional Healer" 5"Home" 
lab val hprovide hprovide
lab var hprovide "Place of Consultation"
tab hprovide [aw=weig], m
cap drop maladie 
gen maladie =s1q16b
recode maladie 0=184 1/51=1 52/72=2 73/92=3 93/123=4 124/150=5 151/183=6 184/max=7
cap lab drop maladie
lab def maladie 1"Hem-Neur" 2"Pneu-Infect" 3"Peau" 4"Oreil-Dent-Yeux" 5"Gyneco" 6"Pediatrie" 7"Autres"
lab val maladie maladie
ta maladie [aw=weig], m
cap drop palu_ira
g palu_ira = cond(maladie==2, 1, 0)
ta palu_ira [aw=weig], m
*Handicap status
sort hid
cap drop handicap 
cap drop nhandicap 
cap drop nbhandic 
g handicap =1 if s1q10~=0    /* 1 is handicaped, 0 not*/
replace handicap=0 if s1q10==0
bysort hid: g nhandicap =sum(handicap) 
bysort hid: egen nbhandic =max(nhandicap)  /*Number of handicaped persons in the household*/
ta handicap [aw=weig], m
ta nhandicap [aw=weig], m
ta nbhandic [aw=weig], m
cap drop prenatal 
gen prenatal = cond(s1q20==1,1,0) 
ta prenatal [aw=weig], m
*Ratio of ill persons per household
cap drop numb
cap drop numbmax
cap drop ill
cap drop illp
cap drop illpmax
cap drop ill_ratio
cap drop illratio
bysort hid: g numb=_n
bysort hid: egen numbmax=max(numb)
g ill=cond(morbid==1, 1, 0)
bysort hid: g illp=sum(ill)
bysort hid: egen illpmax=max(illp)
bysort hid: g ill_ratio = illpmax/numbmax
su ill_ratio [aw=weig]
g illratio=ill_ratio
recode illratio 0=1 0.0000001/0.3000000=2 0.3000001/0.6000000=3 0.6000001/max=4
cap lab drop illratio
lab def illratio 1"No illness" 2"1-30%" 3"30-60%" 4"60-100%"
lab val illratio illratio
ta illratio [aw=weig], m
*Ratio of ill children per household
cap drop child
cap drop nchild
cap drop maxchild
cap drop ill_child
cap drop numbillchild
cap drop maxillchil
cap drop ratio_illchild
cap drop ratioillchild
bysort hid: g child=cond(agey<18, 1, 0)
su child [aw=weig]
bysort hid: g nchild=sum(child)
bysort hid: egen maxchild=max(nchild)
bysort hid: g ill_child=cond(child==1 & morbid==1, 1, 0)
bysort hid: g numbillchild=sum(ill_child)
bysort hid: egen maxillchil=max(numbillchild)
bysort hid: g ratio_illchild=maxillchil/maxchild
su ratio_illchild
g ratioillchild =ratio_illchild
recode ratioillchild 0=1 0.0000001/0.3000000=2 0.3000001/0.6000000=3 0.6000001/max=4
lab def ratioillchild 1"No Sick Child" 2"1-30%" 3"30-60%" 4"60-100%"
lab val ratioillchild ratioillchild 
ta ratioillchild [aw=weig], m
*Ratio of ill persons per household who consulted, among those ill
cap drop consult
cap drop cons
cap drop ncons
cap drop ratio_consult
cap drop ratioconsult 
g consult=cond(rtreatm==1, 1, 0) if s1q11==1
bysort hid: g cons=sum(consult) 
bysort hid: egen ncons=max(cons)
bysort hid: g ratio_consult = ncons/illpmax
ta ratio_consult [aw=weig], m
g ratioconsult = ratio_consult
recode ratioconsult 0=1 0.0000001/0.3000000=2 0.3000001/0.6000000=3 0.6000001/max=4
lab def ratioconsult 1"No Consult" 2"1-30%" 3"30-60%" 4"60-100%"
lab val ratioconsult ratioconsult 
ta ratioconsult [aw=weig], m
*Cost of consultation
cap drop cost_consult
g cost_consult = s1q18
su cost_consult [aw=wei]
*Health-Insurance
cap drop healthins
g healthins = cond(s1q21==1, 1, 0)
ta healthins [aw=wei], m
cap log close

****************
***EDUCATION****
****************
log using "Education.log", replace
cap drop educlev
g educlev=s1q31  if s1q6a >5 & s1q31~=.
ta educlev, m
*recode educlev 0=1 1/5=2 6=3 7/10=4 11/15=5 16/23=6 24/39=7 .=1
recode educlev 0=1 1/5=2 6=3 7/10=4 11/13=5 14/23=6 24/39=7 .=1
cap lab drop educlev
#delimit;
lab define educlev 1"No level" 2"Primary Non Completed: CP1-CM1" 
3"Primary Completed: CM2" 4"Secondary Non Completed: College (6eme-3eme)" 
5"Secondary Completed and Post=Secondary: Lycee et Ecoles Preparatoires" 
6"Tertiary: Superieur General (University)" 7"Professionals & Technicians" 
;
#delimit cr
label value educlev educlev
ta educlev [aw=wei], m
ta educlev if relat==1 [aw=wei], m
cap drop literacy
g literacy=s1q27 if (s1q6a >5&s1q27~=.)
recode literacy 0=1 7=3 /*Replacing in the correct codes*/
recode literacy 1/2=1 3=2
recode literacy 2=0
lab def literacy 1"Read/Write" 0"No"
lab values literacy literacy 
ta literacy [aw=wei], m
cap drop everattd 
g everattd=s1q30 if (s1q6a >5&s1q30~=.)
recode everattd 3=2
recode everattd 2=0
ta everattd [aw=wei], m
cap drop atschool
g atschool=s1q35  if s1q6a >5 & s1q6a~=.
recode atschool 2=0
ta atschool [aw=wei], m
cap drop schltyp
g schltyp=s1q38 if s1q38~=.
recode schltyp 1/2 =1 3/4=2 5/6=3
cap lab drop schltyp  
lab def schltyp 1"Public" 2"Private" 3"Coranique"
lab val schltyp  schltyp  
lab var schltyp  "Type of School"
ta schltyp  [aw=wei], m
cap lab drop yesno
label define yesno  0"No" 1"Yes"
label value literacy yesno
label value atschool yesno
*Reason why not at school
cap drop old_schreas          /*Finish, Work, Closed*/
g old_noschool = cond(s1q36>=1 & s1q36<=3, 1, 0)
ta old_noschool [aw=wei], m
cap drop means_noschool 
g means_noschool = cond(s1q36==4, 1, 0)
ta means_noschool [aw=wei], m
cap drop noresult_noschool 
g noresult_noschool = cond(s1q36==5, 1, 0)
ta noresult_noschool [aw=wei], m
cap drop other_noschool 
g other_noschool = cond(s1q36>5, 1, 0)   /*Illness, Quality and other */
ta other_noschool [aw=wei], m
*Considering only children in age to go to school
cap drop c_literacy
g c_literacy = literacy if (agey>5 & agey <18)
recode c_literacy 2=0
cap drop c_everattd
g c_everattd = everattd  if (agey>5 & agey <18)
recode c_everattd 2=0
cap drop c_neverattd
g c_neverattd =cond(everattd==0, 1, 0)  if (agey>5 & agey <18)
cap drop c_atschool
g c_atschool = atschool  if (agey>5 & agey <18)
recode c_atschool 2=0
cap drop c_nonatschool
g c_nonatschool  =cond(atschool==0, 1, 0)  if (agey>5 & agey <18)
cap drop c_schltyp 
g c_schltyp = schltyp  if (agey>5 & agey <18)
ta c_literacy [aw=wei], m
ta c_everattd [aw=wei], m
ta c_neverattd [aw=wei], m
ta c_atschool [aw=wei], m
ta c_nonatschool [aw=wei], m
ta c_schltyp  [aw=wei], m
cap drop c_old_schreas         
g c_old_noschool = cond(old_noschool==1, 1, 0)
ta c_old_noschool [aw=wei], m
cap drop c_means_noschool 
g c_means_noschool = cond(means_noschool==1, 1, 0)
ta c_means_noschool [aw=wei], m
cap drop c_noresult_noschool 
g c_noresult_noschool = cond(noresult_noschool==1, 1, 0)
ta c_noresult_noschool [aw=wei], m
cap drop c_other_noschool 
g c_other_noschool = cond(other_noschool==1, 1, 0)
ta c_other_noschool [aw=wei], m
*Ratio of schooling children per household
cap drop numb
cap drop snumb
cap drop numbmax
cap drop school_child
cap drop sschool_child
cap drop maxschool_child
cap drop child_school_ratio 
cap drop childschoolratio
bysort hid: g numb=cond((agey>5 & agey<18), 1, 0)
bysort hid: g snumb=sum(numb)
cap drop numbmax
bysort hid: egen numbmax=max(snumb)
g school_child=cond(c_atschool==1, 1, 0)
bysort hid: g sschool_child=sum(school_child)
bysort hid: egen maxschool_child=max(sschool_child)
bysort hid: g child_school_ratio = maxschool_child/numbmax
su child_school_ratio [aw=weig]
g childschoolratio=child_school_ratio
recode childschoolratio 0=1 0.0000001/0.3000000=2 0.3000001/0.6000000=3 0.6000001/max=4
cap lab drop childschoolratio
lab def childschoolratio 1"No child scholarized" 2"1-30%" 3"30-60%" 4"60-100%"
lab val childschoolratio childschoolratio 
ta childschoolratio [aw=weig], m
recode nbhand 0=0 1/2=1 3/max=3
save temp, replace
/*

cap log close

********************
***HEALTH TABLES****
********************
log using "Health Tables.log", replace
tab rich morbid [aw=weight],  col row  nofreq
tab milieu morbid [aw=weight],  col row  nofreq
tab region morbid [aw=weight],  col row  nofreq
tab rich time_ill [aw=weight],  col row  nofreq
tab milieu time_ill [aw=weight],  col row  nofreq
tab region time_ill [aw=weight],  col row  nofreq
tab rich rtreatm  [aw=weight],  col row  nofreq
tab milieu rtreatm  [aw=weight],  col row  nofreq
tab region rtreatm  [aw=weight],  col row  nofreq
tab rich hprovide [aw=weight],  col row  nofreq
tab milieu hprovide [aw=weight],  col row  nofreq
tab region hprovide [aw=weight],  col row  nofreq
tab rich nbhandic [aw=weight],  col row  nofreq
tab milieu nbhandic [aw=weight],  col row  nofreq
tab region nbhandic [aw=weight],  col row  nofreq
tab rich prenatal [aw=weight],  col row  nofreq
tab milieu prenatal [aw=weight],  col row  nofreq
tab region prenatal [aw=weight],  col row  nofreq
tab rich illratio [aw=weight],  col row  nofreq
tab milieu illratio [aw=weight],  col row  nofreq
tab region illratio [aw=weight],  col row  nofreq
tab rich ratioillchild [aw=weight],  col row  nofreq
tab milieu ratioillchild [aw=weight],  col row  nofreq
tab region ratioillchild [aw=weight],  col row  nofreq
tab rich ratioconsult [aw=weight],  col row  nofreq
tab milieu ratioconsult [aw=weight],  col row  nofreq
tab region ratioconsult [aw=weight],  col row  nofreq
tab rich healthins [aw=weight],  col row  nofreq
tab milieu healthins [aw=weight],  col row  nofreq
tab region healthins [aw=weight],  col row  nofreq
tab milieu rich  [aw=weight],  col row  nofreq
table rich milieu [aw=weight], col row c(mean morbid) f(%8.2f)
table rich milieu [aw=weight], col row c(mean morb_tr) f(%8.2f)
table rich milieu [aw=weight], col row c(mean rtreatm  ) f(%8.2f)
table rich milieu [aw=weight], col row c(mean hprovide ) f(%8.2f)
table rich milieu [aw=weight], col row c(mean nbhandic) f(%8.2f)
table rich milieu [aw=weight], col row c(mean prenatal) f(%8.2f)
table rich milieu [aw=weight], col row c(mean ill_ratio ) f(%8.2f)
table rich milieu [aw=weight], col row c(mean ratio_illchild ) f(%8.2f)
table rich milieu [aw=weight], col row c(mean ratio_consult ) f(%8.2f)
table rich milieu [aw=weight], col row c(mean cost_consult) f(%8.2f)
table rich milieu [aw=weight], col row c(mean healthins) f(%8.2f)
tab rich palu_ira  [aw=weight],  col row  nofreq
tab rich maladie  [aw=weight],  col row  nofreq
tab educlev milieu [aw=weight],  col row  nofreq
table educlev milieu [aw=weight], col row c(mean morbid) f(%8.2f)
table educlev milieu [aw=weight], col row c(mean morb_tr) f(%8.2f)
table educlev milieu [aw=weight], col row c(mean rtreatm  ) f(%8.2f)
table educlev milieu [aw=weight], col row c(mean hprovide ) f(%8.2f)
table educlev milieu [aw=weight], col row c(mean nbhandic) f(%8.2f)
table educlev milieu [aw=weight], col row c(mean prenatal) f(%8.2f)
table educlev milieu [aw=weight], col row c(mean ill_ratio ) f(%8.2f)
table educlev milieu [aw=weight], col row c(mean ratio_illchild ) f(%8.2f)
table educlev milieu [aw=weight], col row c(mean ratio_consult ) f(%8.2f)
table educlev milieu [aw=weight], col row c(mean cost_consult) f(%8.2f)
*regression Analysis
#delimit;
global xxx
"       agey agey2 sex handicap      
        num_bab num_bab2 num_kid num_kid2 num_ads num_ads2 num_srs num_srs2 
	  h_agey_c h_agey2_c  
        h_pnc h_pc h_snc h_sc h_ts
        s_pnc s_pc s_snc s_sc 
	  h_com h_adm h_man h_other h_unem
	  s_com s_adm s_man s_other s_unem
        t_mig_h l_mig_h 
        h_hand
        h_fem
        h_anim h_musl
        h_krou h_mande h_volta h_etr
	  lomwater lomelec lomtelephone 
	  i.rich i.milieu i.region
";
global xxx2
"       agey agey2 sex handicap      
        num_bab num_bab2 num_kid num_kid2 num_ads num_ads2 num_srs num_srs2 
	  h_agey_c h_agey2_c  
        h_pnc h_pc h_snc h_sc h_ts
        s_pnc s_pc s_snc s_sc 
	  h_com h_adm h_man h_other h_unem
	  s_com s_adm s_man s_other s_unem
        t_mig_h l_mig_h 
        h_hand
        h_fem
        h_anim h_musl
	  lomwater lomelec lomtelephone 
	  i.rich i.milieu i.region
";
global xxxvars
"       agey agey2 sex handicap      
        num_bab num_bab2 num_kid num_kid2 num_ads num_ads2 num_srs num_srs2 
	  h_agey_c h_agey2_c  
        h_pnc h_pc h_snc h_sc h_ts
        s_pnc s_pc s_snc s_sc 
	  h_com h_adm h_man h_other h_unem
	  s_com s_adm s_man s_other s_unem
        t_mig_h l_mig_h 
        h_hand
        h_fem
        h_anim h_musl
        h_krou h_mande h_volta h_etr
	  lomwater lomelec lomtelephone 
	  rich milieu region
";
#delimit cr
su $xxxvars
corr $xxxvars
*Quantiles regressions for the ratios of total hh members and children sickness and the consultations
xi: qreg ill_ratio $xxx [aw=weight], 
outreg using healtheduc.xls, ctitle(QREGILLRAT) bdec(3) br 3aster replace
cap drop QREGillratio
predict QREGillratio
su QREGillratio [aw=weig]
xi: qreg ill_ratio $xxx if milieu==1 [aw=weig], 
outreg using healtheduc.xls, ctitle(QREGILLRATUR) bdec(3) br 3aster append
cap drop QREGillratioUr
predict QREGillratioUr
su QREGillratioUr [aw=wei]
xi: qreg ill_ratio $xxx if milieu==2 [aw=weig], 
outreg using healtheduc.xls, ctitle(QREGILLRATRU) bdec(3) br 3aster append
cap drop QREGillratioRu
predict QREGillratioRu
su QREGillratioRu [aw=wei]
xi: qreg ill_ratio $xxx2 if ivoirien==1 [aw=weig], 
outreg using healtheduc.xls, ctitle(QREGILLRATIV) bdec(3) br 3aster append
cap drop QREGillratioIv
predict QREGillratioIv
su QREGillratioIv [aw=wei]
xi: qreg ill_ratio $xxx2 if ivoirien==0 [aw=weig], 
outreg using healtheduc.xls, ctitle(QREGILLRATNIV) bdec(3) br 3aster append
cap drop QREGillratioNIv
predict QREGillratioNIv
su QREGillratioNIv [aw=wei]
xi: qreg ratio_illchild $xxx [aw=weight], 
outreg using healtheduc.xls, ctitle(QREGILLCHILD) bdec(3) br 3aster append
cap drop QREGillchild
predict QREGillchild
su QREGillchild [aw=weig]
xi: qreg ratio_illchild $xxx if milieu==1 [aw=weig], 
outreg using healtheduc.xls, ctitle(QREGILLCHILDUR) bdec(3) br 3aster append
cap drop QREGillchildUr
predict QREGillchildUr
su QREGillchildUr [aw=wei]
xi: qreg ratio_illchild $xxx if milieu==2 [aw=weig], 
outreg using healtheduc.xls, ctitle(QREGILLCHILDRU) bdec(3) br 3aster append
cap drop QREGillchildRu
predict QREGillchildRu
su QREGillchildRu [aw=wei]
xi: qreg ratio_illchild $xxx2 if ivoirien==1 [aw=weig], 
outreg using healtheduc.xls, ctitle(QREGILLCHILDIV) bdec(3) br 3aster append
cap drop QREGillchildIv
predict QREGillchildIv
su QREGillchildIv [aw=wei]
xi: qreg ratio_illchild $xxx2 if ivoirien==0 [aw=weig], 
outreg using healtheduc.xls, ctitle(QREGILLCHILDNIV) bdec(3) br 3aster append
cap drop QREGillchildNIv
predict QREGillchildNIv
su QREGillchildNIv [aw=wei]
xi: qreg ratio_consult $xxx [aw=weight], 
outreg using healtheduc.xls, ctitle(QREGCONS) bdec(3) br 3aster append
cap drop QREGconsult
predict QREGconsult
su QREGconsult [aw=weig]
xi: qreg ratio_consult $xxx if milieu==1 [aw=weig], 
outreg using healtheduc.xls, ctitle(QREGCONSUR) bdec(3) br 3aster append
cap drop QREGconsultUr
predict QREGconsultUr
su QREGconsultUr [aw=wei]
xi: qreg ratio_consult $xxx if milieu==2 [aw=weig], 
outreg using healtheduc.xls, ctitle(QREGCONSRU) bdec(3) br 3aster append
cap drop QREGconsultRu
predict QREGconsultRu
su QREGconsultRu [aw=wei]
xi: qreg ratio_consult $xxx2 if ivoirien==1 [aw=weig], 
outreg using healtheduc.xls, ctitle(QREGCONSIV) bdec(3) br 3aster append
cap drop QREGconsultIv
predict QREGconsultIv
su QREGconsultIv [aw=wei]
xi: qreg ratio_consult $xxx2 if ivoirien==0 [aw=weig], 
outreg using healtheduc.xls, ctitle(QREGCONSNIV) bdec(3) br 3aster append
cap drop QREGconsultNIv
predict QREGconsultNIv
su QREGconsultNIv [aw=wei]
*Negative Binomial regression for the number of days being sick
xi: nbreg morb_tr $xxx [pw=weight], robust
outreg using healtheduc.xls, ctitle(NBREGILLTIME) bdec(3) br 3aster append
cap drop NBREGilltime
predict NBREGilltime
su NBREGilltime [aw=weig]
xi: nbreg morb_tr $xxx if milieu==1 [pw=weig], robust
outreg using healtheduc.xls, ctitle(NBREGILLTIMEUR) bdec(3) br 3aster append
cap drop NBREGilltimeUr
predict NBREGilltimeUr
su NBREGilltimeUr [aw=wei]
xi: nbreg morb_tr $xxx if milieu==2 [pw=weig], robust
outreg using healtheduc.xls, ctitle(NBREGILLTIMERU) bdec(3) br 3aster append
cap drop NBREGilltimeRu
predict NBREGilltimeRu
su NBREGilltimeRu [aw=wei]
xi: nbreg morb_tr $xxx2 if ivoirien==1 [pw=weig], robust
outreg using healtheduc.xls, ctitle(NBREGILLTIMEIV) bdec(3) br 3aster append
cap drop NBREGilltimeIv
predict NBREGilltimeIv
su NBREGilltimeIv [aw=wei]
xi: nbreg morb_tr $xxx2 if ivoirien==0 [pw=weig], robust
outreg using healtheduc.xls, ctitle(NBREGILLTIMENIV) bdec(3) br 3aster append
cap drop NBREGilltimeNIv
predict NBREGilltimeNIv
su NBREGilltimeNIv [aw=wei]
cap log close

***********************
***EDUCATION TABLES****
***********************
log using "Education Tables.log", replace
foreach i of global xxxvars {
  table `i' [aw=weig], m row col 
  table `i' everattd [aw=weig] , m  row col 
  table `i' atschool [aw=weig] , m  row col 
  table `i' educlev [aw=weig]  , m  row col 
}
tab rich c_literacy [aw=weight],  col row  nofreq
tab milieu c_literacy [aw=weight],  col row  nofreq
tab region c_literacy [aw=weight],  col row  nofreq
tab rich c_everattd [aw=weight],  col row  nofreq
tab milieu c_everattd [aw=weight],  col row  nofreq
tab region c_everattd [aw=weight],  col row  nofreq
tab rich c_neverattd [aw=weight],  col row  nofreq
tab milieu c_neverattd [aw=weight],  col row  nofreq
tab region c_neverattd [aw=weight],  col row  nofreq
tab rich c_atschool [aw=weight],  col row  nofreq
tab milieu c_atschool [aw=weight],  col row  nofreq
tab region c_atschool [aw=weight],  col row  nofreq
tab rich c_nonatschool [aw=weight],  col row  nofreq
tab milieu c_nonatschool [aw=weight],  col row  nofreq
tab region c_nonatschool [aw=weight],  col row  nofreq
tab rich c_schltyp  [aw=weight],  col row  nofreq
tab milieu c_schltyp  [aw=weight],  col row  nofreq
tab region c_schltyp  [aw=weight],  col row  nofreq
tab rich childschoolratio   [aw=weight],  col row  nofreq
tab milieu childschoolratio   [aw=weight],  col row  nofreq
tab region childschoolratio   [aw=weight],  col row  nofreq
tab rich c_old_noschool [aw=weight],  col row  nofreq
tab milieu c_old_noschool [aw=weight],  col row  nofreq
tab region c_old_noschool [aw=weight],  col row  nofreq
tab rich c_means_noschool [aw=weight],  col row  nofreq
tab milieu c_means_noschool [aw=weight],  col row  nofreq
tab region c_means_noschool [aw=weight],  col row  nofreq
tab rich c_noresult_noschool [aw=weight],  col row  nofreq
tab milieu c_noresult_noschool [aw=weight],  col row  nofreq
tab region c_noresult_noschool [aw=weight],  col row  nofreq
tab rich c_other_noschool [aw=weight],  col row  nofreq
tab milieu c_other_noschool [aw=weight],  col row  nofreq
tab region c_other_noschool [aw=weight],  col row  nofreq
table rich milieu [aw=weight], col row c(mean c_literacy) f(%8.2f)
table rich milieu [aw=weight], col row c(mean c_everattd) f(%8.2f)
table rich milieu [aw=weight], col row c(mean c_neverattd) f(%8.2f)
table rich milieu [aw=weight], col row c(mean c_atschool) f(%8.2f)
table rich milieu [aw=weight], col row c(mean c_nonatschool) f(%8.2f)
table rich milieu [aw=weight], col row c(mean c_schltyp) f(%8.2f)
table rich milieu [aw=weight], col row c(mean child_school_ratio) f(%8.2f)
table rich milieu [aw=weight], col row c(mean c_old_noschool) f(%8.2f)
table rich milieu [aw=weight], col row c(mean c_means_noschool) f(%8.2f)
table rich milieu [aw=weight], col row c(mean c_noresult_noschool) f(%8.2f)
table rich milieu [aw=weight], col row c(mean c_other_noschool) f(%8.2f)
table morbid milieu [aw=weight], col row c(mean c_literacy) f(%8.2f)
table morbid milieu [aw=weight], col row c(mean c_everattd) f(%8.2f)
table morbid milieu [aw=weight], col row c(mean c_neverattd) f(%8.2f)
table morbid milieu [aw=weight], col row c(mean c_atschool) f(%8.2f)
table morbid milieu [aw=weight], col row c(mean c_nonatschool) f(%8.2f)
table morbid milieu [aw=weight], col row c(mean c_schltyp) f(%8.2f)
table morbid milieu [aw=weight], col row c(mean child_school_ratio) f(%8.2f)
table morbid milieu [aw=weight], col row c(mean c_old_noschool) f(%8.2f)
table morbid milieu [aw=weight], col row c(mean c_means_noschool) f(%8.2f)
table morbid milieu [aw=weight], col row c(mean c_noresult_noschool) f(%8.2f)
table morbid milieu [aw=weight], col row c(mean c_other_noschool) f(%8.2f)
table rich morbid [aw=weight], col row c(mean c_literacy) f(%8.2f)
table rich morbid [aw=weight], col row c(mean c_everattd) f(%8.2f)
table rich morbid [aw=weight], col row c(mean c_neverattd) f(%8.2f)
table rich morbid [aw=weight], col row c(mean c_atschool) f(%8.2f)
table rich morbid [aw=weight], col row c(mean c_nonatschool) f(%8.2f)
table rich morbid [aw=weight], col row c(mean c_schltyp) f(%8.2f)
table rich morbid [aw=weight], col row c(mean child_school_ratio) f(%8.2f)
table rich morbid [aw=weight], col row c(mean c_old_noschool) f(%8.2f)
table rich morbid [aw=weight], col row c(mean c_means_noschool) f(%8.2f)
table rich morbid [aw=weight], col row c(mean c_noresult_noschool) f(%8.2f)
table rich morbid [aw=weight], col row c(mean c_other_noschool) f(%8.2f)
preserve
keep if (agey>5 & agey<18)
*Presently at School
*National & regional levels
xi: dprobit atschool $xxx [aw=weight], robust iterate(100) 
outreg using healtheduc.xls, ctitle(Dprobatscho) bdec(3) br 3aster append
cap drop Dprobatscho
predict Dprobatscho
su Dprobatscho [aw=wei]
xi: dprobit atschool $xxx if milieu==1 [aw=weight], robust iterate(100) 
outreg using healtheduc.xls, ctitle(DprobatschoUr) bdec(3) br 3aster append
cap drop DprobatschoUr
predict DprobatschoUr
su DprobatschoUr [aw=wei]
xi: dprobit atschool $xxx if milieu==2 [aw=weight], robust iterate(100) 
outreg using healtheduc.xls, ctitle(DprobatschoRu) bdec(3) br 3aster append
cap drop DprobatschoRu
predict DprobatschoRu
su DprobatschoRu [aw=wei]
xi: dprobit atschool $xxx2 if ivoirien==1 [aw=weight], robust iterate(100) 
outreg using healtheduc.xls, ctitle(DprobatschoIv) bdec(3) br 3aster append
cap drop DprobatschoIv
predict DprobatschoIv
su DprobatschoIv [aw=wei]
xi: dprobit atschool $xxx2 if ivoirien==0 [aw=weight], robust iterate(100) 
outreg using healtheduc.xls, ctitle(DprobatschoNIv) bdec(3) br 3aster append
cap drop DprobatschoNIv
predict DprobatschoNIv
su DprobatschoNIv [aw=wei]
*Boys
xi: dprobit atschool $xxx [aw=weight] if sex==1, robust iterate(100) 
outreg using healtheduc.xls, ctitle(DprobatschoB) bdec(3) br 3aster append
cap drop DprobatschoB
predict DprobatschoB
su DprobatschoB [aw=wei]
xi: dprobit atschool $xxx if milieu==1 & sex==1 [aw=weight], robust iterate(100) 
outreg using healtheduc.xls, ctitle(DprobatschoBUr) bdec(3) br 3aster append
cap drop DprobatschoBUr
predict DprobatschoBUr
su DprobatschoBUr [aw=wei]
xi: dprobit atschool $xxx if milieu==2  & sex==1 [aw=weight], robust iterate(100) 
outreg using healtheduc.xls, ctitle(DprobatschoBRu) bdec(3) br 3aster append
cap drop DprobatschoBRu
predict DprobatschoBRu
su DprobatschoBRu [aw=wei]
xi: dprobit atschool $xxx2 if ivoirien==1  & sex==1 [aw=weight], robust iterate(100) 
outreg using healtheduc.xls, ctitle(DprobatschoBIv) bdec(3) br 3aster append
cap drop DprobatschoBIv
predict DprobatschoBIv
su DprobatschoBIv [aw=wei]
xi: dprobit atschool $xxx2 if ivoirien==0  & sex==1 [aw=weight], robust iterate(100) 
outreg using healtheduc.xls, ctitle(DprobatschoBNiv) bdec(3) br 3aster append
cap drop DprobatschoBNiv
predict DprobatschoBNiv
su DprobatschoBNiv [aw=wei]
*Girls
xi: dprobit atschool $xxx [aw=weight] if sex==2, robust iterate(100) 
outreg using healtheduc.xls, ctitle(DprobatschoG) bdec(3) br 3aster append
cap drop DprobatschoG
predict DprobatschoG
su DprobatschoG [aw=wei]
xi: dprobit atschool $xxx if milieu==1 & sex==2 [aw=weight], robust iterate(100) 
outreg using healtheduc.xls, ctitle(DprobatschoGUr) bdec(3) br 3aster append
cap drop DprobatschoGUr
predict DprobatschoGUr
su DprobatschoGUr [aw=wei]
xi: dprobit atschool $xxx if milieu==2  & sex==2 [aw=weight], robust iterate(100) 
outreg using healtheduc.xls, ctitle(DprobatschoGRu) bdec(3) br 3aster append
cap drop DprobatschoGRu
predict DprobatschoGRu
su DprobatschoGRu [aw=wei]
xi: dprobit atschool $xxx2 if ivoirien==1  & sex==2 [aw=weight], robust iterate(100) 
outreg using healtheduc.xls, ctitle(DprobatschoGIv) bdec(3) br 3aster append
cap drop DprobatschoGIv
predict DprobatschoGIv
su DprobatschoGIv [aw=wei]
xi: dprobit atschool $xxx2 if ivoirien==0  & sex==2 [aw=weight], robust iterate(100) 
outreg using healtheduc.xls, ctitle(DprobatschoNIv) bdec(3) br 3aster append
cap drop DprobatschoNIv
predict DprobatschoNIv
su DprobatschoNIv [aw=wei]
* Ever attend School
*National & regional levels
xi: dprobit everattd $xxx [aw=weight], robust iterate(100) 
outreg using healtheduc.xls, ctitle(DprobEveratt) bdec(3) br 3aster append
cap drop DprobEveratt
predict DprobEveratt
su DprobEveratt [aw=wei]
xi: dprobit everattd $xxx if milieu==1 [aw=weight], robust iterate(100) 
outreg using healtheduc.xls, ctitle(DprobEverattUr) bdec(3) br 3aster append
cap drop DprobEverattUr
predict DprobEverattUr
su DprobEverattUr [aw=wei]
xi: dprobit everattd $xxx if milieu==2 [aw=weight], robust iterate(100) 
outreg using healtheduc.xls, ctitle(DprobEverattRu) bdec(3) br 3aster append
cap drop DprobEverattRu
predict DprobEverattRu
su DprobEverattRu [aw=wei]
xi: dprobit everattd $xxx2 if ivoirien==1 [aw=weight], robust iterate(100) 
outreg using healtheduc.xls, ctitle(DprobEverattIv) bdec(3) br 3aster append
cap drop DprobEverattIv
predict DprobEverattIv
su QREGconsultNIv [aw=wei]
xi: dprobit everattd $xxx2 if ivoirien==0 [aw=weight], robust iterate(100) 
outreg using healtheduc.xls, ctitle(DprobEverattNIv) bdec(3) br 3aster append
cap drop DprobEverattNIv
predict DprobEverattNIv
su DprobEverattNIv [aw=wei]
*Boys
xi: dprobit everattd $xxx [aw=weight] if sex==1, robust iterate(100) 
outreg using healtheduc.xls, ctitle(DprobEverattB) bdec(3) br 3aster append
cap drop DprobEverattB
predict DprobEverattB
su DprobEverattB [aw=wei]
xi: dprobit everattd $xxx if milieu==1 & sex==1 [aw=weight], robust iterate(100) 
outreg using healtheduc.xls, ctitle(DprobEverattBUr) bdec(3) br 3aster append
cap drop DprobEverattBUr
predict DprobEverattBUr
su DprobEverattBUr [aw=wei]
xi: dprobit everattd $xxx if milieu==2  & sex==1 [aw=weight], robust iterate(100) 
outreg using healtheduc.xls, ctitle(DprobEverattBRu) bdec(3) br 3aster append
cap drop DprobEverattBRu
predict DprobEverattBRu
su DprobEverattBRu [aw=wei]
xi: dprobit everattd $xxx2 if ivoirien==1  & sex==1 [aw=weight], robust iterate(100) 
outreg using healtheduc.xls, ctitle(DprobEverattBIv) bdec(3) br 3aster append
cap drop DprobEverattBIv
predict DprobEverattBIv
su DprobEverattBIv [aw=wei]
xi: dprobit everattd $xxx2 if ivoirien==0  & sex==1 [aw=weight], robust iterate(100) 
outreg using healtheduc.xls, ctitle(DprobEverattBNIv) bdec(3) br 3aster append
cap drop DprobEverattBNIv
predict DprobEverattBNIv
su DprobEverattBNIv [aw=wei]
*Girls
xi: dprobit everattd $xxx [aw=weight] if sex==2, robust iterate(100) 
outreg using healtheduc.xls, ctitle(DprobEverattG) bdec(3) br 3aster append
cap drop DprobEverattG
predict DprobEverattG
su DprobEverattG [aw=wei]
xi: dprobit everattd $xxx if milieu==1 & sex==2 [aw=weight], robust iterate(100) 
outreg using healtheduc.xls, ctitle(DprobEverattGUr) bdec(3) br 3aster append
cap drop DprobEverattGUr
predict DprobEverattGUr
su DprobEverattGUr [aw=wei]
xi: dprobit everattd $xxx if milieu==2  & sex==2 [aw=weight], robust iterate(100) 
outreg using healtheduc.xls, ctitle(DprobEverattGRu) bdec(3) br 3aster append
cap drop DprobEverattGRu
predict DprobEverattGRu
su DprobEverattGRu [aw=wei]
xi: dprobit everattd $xxx2 if ivoirien==1  & sex==2 [aw=weight], robust iterate(100) 
outreg using healtheduc.xls, ctitle(DprobEverattGIv) bdec(3) br 3aster append
cap drop DprobEverattGIv
predict DprobEverattGIv
su DprobEverattGIv [aw=wei]
xi: dprobit everattd $xxx2 if ivoirien==0  & sex==2 [aw=weight], robust iterate(100) 
outreg using healtheduc.xls, ctitle(DprobEverattGNIv) bdec(3) br 3aster append
cap drop DprobEverattGNIv
predict DprobEverattGNIv
su DprobEverattGNIv [aw=wei]
*Educational level
*National & regional levels
xi: oprobit educlev $xxx [aw=weight], robust iterate(100) 
outreg using healtheduc.xls, ctitle(OprobEduclev) bdec(3) br 3aster append
cap drop OprobEduclev
predict OprobEduclev, outcome(1)
su QREGconsultNIv [aw=wei]
xi: oprobit educlev $xxx if milieu==1 [aw=weight], robust iterate(100) 
outreg using healtheduc.xls, ctitle(OprobEduclevUr) bdec(3) br 3aster append
cap drop OprobEduclevUr
predict OprobEduclevUr, outcome(1)
su QREGconsultNIv [aw=wei]
xi: oprobit educlev $xxx if milieu==2 [aw=weight], robust iterate(100) 
outreg using healtheduc.xls, ctitle(OprobEduclevRu) bdec(3) br 3aster append
cap drop OprobEduclevRu
predict OprobEduclevRu, outcome(1)
su OprobEduclevRu [aw=wei]
xi: oprobit educlev $xxx2 if ivoirien==1 [aw=weight], robust iterate(100) 
outreg using healtheduc.xls, ctitle(OprobEduclevIv) bdec(3) br 3aster append
cap drop OprobEduclevIv
predict OprobEduclevIv, outcome(1)
su OprobEduclevIv [aw=wei]
xi: oprobit educlev $xxx2 if ivoirien==0 [aw=weight], robust iterate(100) 
outreg using healtheduc.xls, ctitle(OprobEduclevNIv) bdec(3) br 3aster append
cap drop OprobEduclevNIv
predict OprobEduclevNIv, outcome(1)
su OprobEduclevNIv [aw=wei]
*Boys
xi: oprobit educlev $xxx [aw=weight] if sex==1, robust iterate(100) 
outreg using healtheduc.xls, ctitle(OprobEduclevB) bdec(3) br 3aster append
cap drop OprobEduclevB
predict OprobEduclevB, outcome(1)
su OprobEduclevB [aw=wei]
xi: oprobit educlev $xxx if milieu==1 & sex==1 [aw=weight], robust iterate(100) 
outreg using healtheduc.xls, ctitle(OprobEduclevBUr) bdec(3) br 3aster append
cap drop OprobEduclevBUr
predict OprobEduclevBUr, outcome(1)
su OprobEduclevBUr [aw=wei]
xi: oprobit educlev $xxx if milieu==2  & sex==1 [aw=weight], robust iterate(100) 
outreg using healtheduc.xls, ctitle(OprobEduclevBRu) bdec(3) br 3aster append
cap drop OprobEduclevBRu
predict OprobEduclevBRu, outcome(1)
su OprobEduclevBRu [aw=wei]
xi: oprobit educlev $xxx2 if ivoirien==1  & sex==1 [aw=weight], robust iterate(100) 
outreg using healtheduc.xls, ctitle(OprobEduclevBIv) bdec(3) br 3aster append
cap drop OprobEduclevBIv
predict OprobEduclevBIv, outcome(1)
su OprobEduclevBIv [aw=wei]
xi: oprobit educlev $xxx2 if ivoirien==0  & sex==1 [aw=weight], robust iterate(100) 
outreg using healtheduc.xls, ctitle(OprobEduclevBNIv) bdec(3) br 3aster append
cap drop OprobEduclevBNIv
predict OprobEduclevBNIv, outcome(1)
su OprobEduclevBNIv [aw=wei]
*Girls
xi: oprobit educlev $xxx [aw=weight] if sex==2, robust iterate(100) 
outreg using healtheduc.xls, ctitle(OprobEduclevG) bdec(3) br 3aster append
cap drop OprobEduclevG
predict OprobEduclevG, outcome(1)
su OprobEduclevG [aw=wei]
xi: oprobit educlev $xxx if milieu==1 & sex==2 [aw=weight], robust iterate(100) 
outreg using healtheduc.xls, ctitle(OprobEduclevGUr) bdec(3) br 3aster append
cap drop OprobEduclevGUr
predict OprobEduclevGUr, outcome(1)
su OprobEduclevGUr [aw=wei]
xi: oprobit educlev $xxx if milieu==2  & sex==2 [aw=weight], robust iterate(100) 
outreg using healtheduc.xls, ctitle(OprobEduclevGRu) bdec(3) br 3aster append
cap drop OprobEduclevGRu
predict OprobEduclevGRu, outcome(1)
su OprobEduclevGRu [aw=wei]
xi: oprobit educlev $xxx2 if ivoirien==1  & sex==2 [aw=weight], robust iterate(100) 
outreg using healtheduc.xls, ctitle(OprobEduclevGIv) bdec(3) br 3aster append
cap drop OprobEduclevGIv
predict OprobEduclevGIv, outcome(1)
su OprobEduclevGIv [aw=wei]
xi: oprobit educlev $xxx2 if ivoirien==0  & sex==2 [aw=weight], robust iterate(100) 
outreg using healtheduc.xls, ctitle(OprobEduclevGNIv) bdec(3) br 3aster append
cap drop OprobEduclevGNIv
predict OprobEduclevGNIv, outcome(1)
su OprobEduclevGNIv [aw=wei]
restore
*Quantile regression for the proportion of children actually at school
xi: qreg child_school_ratio $xxx [aw=weight], 
outreg using healtheduc.xls, ctitle(QREGSCHORATIO) bdec(3) br 3aster append
cap drop QREGschorat
predict QREGschorat
su QREGschorat [aw=weig]
xi: qreg child_school_ratio $xxx if milieu==1 [aw=weig], 
outreg using healtheduc.xls, ctitle(QREGSCHORATIOUR) bdec(3) br 3aster append
cap drop QREGschoratUr
predict QREGschoratUr
su QREGschoratUr [aw=wei]
xi: qreg child_school_ratio $xxx if milieu==2 [aw=weig], 
outreg using healtheduc.xls, ctitle(QREGSCHORATIORU) bdec(3) br 3aster append
cap drop QREGschoratRu
predict QREGschoratRu
su QREGschoratRu [aw=wei]
xi: qreg child_school_ratio $xxx2 if ivoirien==1 [aw=weig], 
outreg using healtheduc.xls, ctitle(QREGSCHORATIOIV) bdec(3) br 3aster append
cap drop QREGschoratIv
predict QREGschoratIv
su QREGschoratIv [aw=wei]
xi: qreg child_school_ratio $xxx2 if ivoirien==0 [aw=weig], 
outreg using healtheduc.xls, ctitle(QREGSCHORATIONIV) bdec(3) br 3aster append
cap drop QREGschoratNIv
predict QREGschoratNIv
su QREGschoratNIv [aw=wei]

*/

cap log close
set rmsg off
set more on
exit
