capture log close
clear all
set more 1
set matsize 300
set memory 300m

log using c:\edward\Burundi\log_files\crosstabsHlthEdu.log, replace

use "C:\edward\Burundi\data\assets.dta", clear 

sort hid

merge hid using "C:\edward\Burundi\data\indinv.dta"

tab _merge

keep if _merge == 3

drop _merge

sort hid

merge hid using "C:\edward\Burundi\data\individu_1.dta"

tab _merge

keep if _merge == 3

drop _merge

sort hid

merge hid using "C:\edward\Burundi\data\temp.dta"

tab _merge

keep if _merge==3

drop _merge

sort hid

merge hid using "C:\edward\Burundi\data\amos2.dta"

tab _merge

keep if _merge == 3

drop _merge

save "C:\edward\Burundi\data\xtabs.dta", replace

use "C:\edward\Burundi\data\xtabs.dta", replace

label define milieu 0 "Rest du Pays" 1"Buja Mairie" 

label values milieu milieu


*Education

tab quintile atschool [aw=hhweight], row nofreq

table quintile atschool sex [aw=hhweight], row

table quintile sex [aw=hhweight],  c(mean atschool) f(%8.2f)

tab quintile time_to_pschool [aw=hhweight], row nofreq

table quintile time_to_pschool sex [aw=hhweight], row 

tab quintile time_to_sschool [aw=hhweight], row nofreq 

table quintile time_to_sschool sex [aw=hhweight], row  f(%8.2f)

tab literacy sex [aw=hhweight], col row 

tab literacy sex [aw=hhweight], col row nofreq

table quintile sex [aw=hhweight], c(mean literacy)  f(%8.2f)

table milieu sex [aw=hhweight], c(mean literacy) f(%8.2f)

table sex milieu [aw=hhweight], c(mean literacy) f(%8.2f)

tab sex schltyp [aw=hhweight], col row nofreq

table sex milieu schltyp [aw=hhweight], col row

tab no_problem schltyp [aw=hhweight], col row

tab sex schltyp [aw=hhweight], col row nofreq

table sex schltyp [aw=hhweight], c(mean no_problem) f(%8.2f)

table quintile schltyp [aw=hhweight], c(mean no_problem) f(%8.2f)

tab sex schltyp [aw=hhweight], col row nofreq

table sex schltyp [aw=hhweight], c(mean no_problem) f(%8.2f)

tab no_books schltyp [aw=hhweight], col row nofreq

table quintile schltyp [aw=hhweight], c(mean no_books) f(%8.2f)

tab bc_work sex [aw=hhweight], col row nofreq

table quintile sex [aw=hhweight], c(mean bc_work) f(%8.2f)

tab quintile too_far [aw=hhweight], row nofreq

table quintile sex [aw=hhweight], c(mean too_old_compl) f(%8.2f)

tab quintile not_inter [aw=hhweight], row nofreq

tab sex not_inter [aw=hhweight], col row nofreq

table quintile sex [aw=hhweight], c(mean not_inter) f(%8.2f)

tab quintile ill_preg [aw=hhweight], row nofreq

tab quintile failed_exam  [aw=hhweight], row nofreq

tab sex failed_exam [aw=hhweight], row nofreq
      
table quintile sex [aw=hhweight], c(mean failed_exam) f(%8.2f)

tab quintile got_married [aw=hhweight], row nofreq

tab sex got_married [aw=hhweight], col row nofreq

table quintile sex [aw=hhweight], c(mean got_married) f(%8.2f)


*Health 

tab quintile time_to_hosp [aw=hhweight], row nofreq

tab milieu time_to_hosp [aw=hhweight], col row nofreq

tab quintile morbid [aw=hhweight], row nofreq

tab milieu quintile  [aw=hhweight], row nofreq

table quintile milieu [aw=hhweight], c(mean morbid) f(%8.2f)

tab quintile fever_malaria [aw=hhweight], row nofreq

tab quintile diarrhea [aw=hhweight], row nofreq

tab diarrhea time_to_watersource [aw=hhweight], row nofreq

table quintile time_to_watersource [aw=hhweight], c(mean diarrhea) f(%8.2f)

tab quintile acci_injury [aw=hhweight], row nofreq

tab quintile dental [aw=hhweight], row nofreq

tab quintile skin [aw=hhweight], row nofreq

tab quintile eye [aw=hhweight], row nofreq

tab quintile ear_nose_throat [aw=hhweight], row nofreq

tab quintile rtreatm [aw=hhweight], row nofreq

table quintile sex [aw=hhweight], c(mean rtreatm) f(%8.2f)

tab quintile hprovide [aw=hhweight], row nofreq

tab sex hprovide [aw=hhweight], col row nofreq

tab naissances s_lit [aw=hhweight], col row nofreq

table quintile naissances [aw=hhweight], c(mean s_lit) f(%8.2f)

table quintile naissances [aw=hhweight], c(mean s_prim) f(%8.2f)

tab prenatal s_lit [aw=hhweight], col row nofreq

tab prenatal s_prim [aw=hhweight], col row nofreq

tab quintile prenatal [aw=hhweight], row nofreq

table quintile prenatal [aw=hhweight], c(mean s_lit) f(%8.2f)

table quintile prenatal [aw=hhweight], c(mean s_prim) f(%8.2f)

tab quintile no_need_care [aw=hhweight], row nofreq

tab quintile too_far_care [aw=hhweight], row nofreq

tab prenatal s_job [aw=hhweight], col row nofreq

tab quintile no_need_care [aw=hhweight], row nofreq

tab quintile too_far_care [aw=hhweight], row nofreq

tab prenatal s_job [aw=hhweight], col row nofreq

tab quintile no_need_care [aw=hhweight], row nofreq

tab quintile too_far_care [aw=hhweight], row nofreq

tab prenatal s_job [aw=hhweight], col row nofreq

tab quintile times_use_svs [aw=hhweight], row nofreq

tab quintile too_exp_health [aw=hhweight], row nofreq

tab quintile too_far_care [aw=hhweight], row nofreq

tab quintile facil_not_clean [aw=hhweight], row nofreq


*Infrastructure

tab quintile time_to_foodmkt [aw=hhweight], row nofreq

tab quintile time_to_watersource [aw=hhweight], row nofreq














