

* Filename: DHS-k-(woman)-data.do
* 
version 7.0
#delimit ;

cap log close;
set more 1;

/*
set matsize 800;
set mem 60m;
set maxvar 150
set maxobs 7000 
*/


* use etir40rt_10bth.dta, clear
* log using etir40rt_10bth, replace


***** (1) Reshape data from wide into long form *****

gen str12 hhid=substr(caseid,1,12)           /* Manju's suggestion */
g str1 womid=string( v003)

by  hhid , sort: g smn=_n
by  hhid , sort: g lgn=_N
tab smn

* by  hhid womid, sort: g chk= womid[_n]== womid[_n-1]  /* duplication womem, not correct*/


su b2_*                                                  
drop *_11 *_20 *_13 *_14 *_15 *_16 *_17 *_18 *_19 *_20  /* del births 10 yrs ago, (before1982)*/
egen tv=robs( b2_* )                                    /* woman with no birth */ 
su tv
count if tv==0
drop if tv==0                                            /* drop none birth women*/

sort hhid womid                        
by hhid : g chk=_N                                /* check no.women giving births within hh*/
tab chk


capture program drop limin        /* rename b vars*/
program define limin
local i="1"
local k="1"

while `i'<=17 {

while `k'<=9{
renpfix b`i'_0`k'  b`i'_`k'
local k=`k'+1
}
local k=1
local i=`i'+1
}

end
limin

sort hhid womid
encode hhid, gen( hhidr)
encode  womid, gen( womidr)
g h_wid=hhidr*10+womidr
egen chk2=count(h_wid), by(hhid h_wid)
tab chk2
drop if chk2>=2

global xa " bidx_ bord_ b0_ b1_ b2_ b3_ b4_ b5_ b6_ b7_ b8_ b9_  b10_ b11_ b12_ b13_ b15_ b16_"

reshape long   $xa, i( h_wid) j(bod)

* save etir40rt_10bth_long.dta
* save  dhd_long.dat 

/*
by  hhid womid: gen womj = ( _n== _N)
by  hhid: egen Nwom = sum(womj)
egen Nvil=count(district ), by(province district )
*/

****** (2) construct VARS *****

* use etir40rt_10bth_long.dta, clear

* use birth between 1980-1992
keep if b2>=1980
*g swght=v005/1000000               /* Macro people suggested */
g cluster=v004

g alive=b5==1
g twin=(b0~=0)
g male=(b4==1)
g dob=b3
g SDd=b6
replace SDd=1/30  if b6==100
replace SDd=(b6-100)/30 if b6>100 & b6<200     /* by day*/
replace SDd=(b6-200)      if b6>200 & b6<300     /* by month */
replace SDd=(b6-300)*12      if b6>300         /* by year */

g sd_mth=SDd
recode sd_mth 0/1=1 1.01/12=2   12.01/144=3     /* 1mth, 1-12mth, 12-80mth*/
label define sd_mth 1 "SD< 1 mth"  2"1mth<SD<12 mth" 3 "1 yr<sd<5yr " 
label value sd_mth sd_mth


* tabstat  b6 b7, by( sd_mth) s(min max n) mi col(s) longstub

g SDl=v008-b3 if b5==1                         /* surv duration of live kids */
replace SDl=1/30 if SDl==0

egen SD_a=rsum(SDl SDd)

g sfwat1=(v113<=13)                          /*piped & tab water */
g sfwat2=(v113<=13  | v113==21 | v113==23)   /*piped and well water*/

g sani_has=(v116==11 | v116==12  | v116==21 | v116==22) /*flush or pit latrine*/
g has_elec=(v119==1)

g mage=v012
g medu=v133
g fhead=v151==2
g hsize=v136

g b_intP=b11                                     /* birth interval*/
recode  b_intP  .=60                             /* first birth =. */
g b_int2y=(b_intP<=24)

g bord_1=(bord==1)
g bord_23=(bord==2 | bord==3)
g bord_46=(bord>=4 & bord<=6)
g bord_7=(bord>=7)

* g ind_wt=int(v005/1000000.01)  /*gorden's method*/

g swght=int(v005/1000000)   /* macro people suggested */
g dead=(b5==0)
g rur=(v025==2)
g mnoedu=(v106==0)
g mprim=(v106==1)
g msec_h=(v106>=2)
g medu2=v106
recode medu2 0=0 1=1 2/3=2

 g rorth=(v130==1)
 g rchri=(v130==2 | v130==3)
 g rmos=(v130==4)
 g rtrad=(v130>=5)
g religon=v130
recode religon 1=1 2/3=2 4=4 5/max=5

stop


***** construct asset index 
*g water=v113 
*recode water 11/13=1 21/24=2   31 32 41 96 97=3
*tab water, g(wat_d)

/* group_1 */
g watd_pip=(v113<=13)
g watd_wel=(v113>=21 & v113<=24)
g watd_oth=(v113>=31) 

/* group_2: pri_safe, pub_safe, other */
*g wat_prsf=(v113==11 | v113==21 | v113==23) 
*g wat_pusf=(v113==12 | v113==22)
*g wat_oth2=1-(wat_prsf+wat_pusf)

g sanid_flu=(v116<=13)
g sanid_pit=(v116==21 | v116==22 | v116==23)
g sanid_no=(v116>30)

g elecd_has=(v119==1)
g radiod_has=(v120==1)
g TVd_has=(v121==1)
*g Frigd_has=(v122==1)
g biked_has=(v123==1)
*g moto_has=(v124==1)

*g floor=v127
*recode floor 31/35=2   11 12 21 22 96 97=1 
*tab floor, g(floor_d)

g roofd_1=(v129==21)              /*wood*/
g roofd_2=(v129==22)             /*Thatch*/
g roofd_3=(v129>=23 & v129<=25)  /* reed, plastic, mobile*/
g roofd_4=(v129>=31 & v129<=32)  /* finished */
g roofd_5=(v129>=96 * v129<=97)  /* other */  

/*
g hubEDU=v729
recode hubEDU  0 8=0
tab hubEDU, g(hubEDU_d)

g land=v740
tab land [w=swght], g(land_d)             /* not using land_d, too many missing obs */
*/



global wv  "watd_*  sanid_*  radiod_has  TVd_has  biked_has roofd*"

factor $wv /*[weight= swght]*/, pc mineigen(0.9) mean  

score f1 

 

xtile q_v=f1 /*[w=swght]*/ , nq(5)
g wealth=f1 

stop

****  Deon's program for generating deciles for assest index **

set seed 12345
gen uuu=uniform()
g ecstat=f1
sort ecstat uuu
gen  sweight =sum(swght*hsize)
egen msweight=max(sweight)

sort ecstat uuu
gen rf = sweight/msweight
gen     ecstatd = .
replace ecstatd = 1 if rf <=.2 
replace ecstatd = 2 if rf > .2  & rf <=.4
replace ecstatd = 3 if rf > .4  & rf <=.6
replace ecstatd = 4 if rf > .6  & rf <=.8
replace ecstatd = 5 if rf > .8  & rf <=.

/*
replace ecstatd = 1 if rf <=.1 
replace ecstatd = 2 if rf > .1  & rf <=.2
replace ecstatd = 3 if rf > .2  & rf <=.3
replace ecstatd = 4 if rf > .3  & rf <=.4
replace ecstatd = 5 if rf > .4  & rf <=.5
replace ecstatd = 6 if rf > .5  & rf <=.6
replace ecstatd = 7 if rf > .6  & rf <=.7
replace ecstatd = 8 if rf > .7  & rf <=.8
replace ecstatd = 9 if rf > .8  & rf <=.9
replace ecstatd =10 if rf > .9  & rf <.
*/
drop rf sweight msweight
label variable ecstatd "economic status deciles"

stop


******* lifetable ********

* 0-4 year proceeding the survey  cmc=(88*12+1  92*12+10)=(1057  1114)
* 0-10 year proceeding the survey cmc=(82*12+1  92*12+10)=(985   1114)
* 5-10 year proceeding the survey cmc=(82*12+1  87*12+12)=(985   1056)

* tabstat b3  if SDd<=1 & b3>=1057 & b3<=1114, by(rur) s(min max n) mi col(s) longstub
* tabstat b3  if SDd<=12 & b3>=1057 & b3<=1114, by(rur) s(min max n) mi col(s) longstub
 tabstat b3  if SDd<=65 & b3>=1057 & b3<=1114, by(rur) s(min max n) mi col(s) longstub
 tabstat b3  if SDd<=65 & b3>=985  & b3<=1056, by(rur) s(min max n) mi col(s) longstub

 **** life table for all ***
ltable SD_a dead [weight=swght] , f h int(0 1 2 3 4 5 6 7 8 9 10 11 12 13 18 24 36 48 60)
ltable SD_a dead [weight=swght] if b3>=1057 & b3<=1114, f  int(0 1 2 3 4 5 6 7 8 9 10 11 12 13 18 24 36 48 60)
*ltable SD_a dead [weight=swght] if b3>=985  & b3<=1114, f  int(0 1 2 3 4 5 6 7 8 9 10 11 12 13 18 24 36 48 60)
ltable SD_a dead [weight=swght] if b3>=985  & b3<=1056, f  int(0 1 2 3 4 5 6 7 8 9 10 11 12 13 18 24 36 48 60)

***** life table for rural ***
ltable SD_a dead [weight=swght] if rur==1, f  int(0 1 2 3 4 5 6 7 8 9 10 11 12 13 18 24 36 48 60)
ltable SD_a dead [weight=swght] if b3>=1057 & b3<=1114 & rur==1, f  int(0 1 2 3 4 5 6 7 8 9 10 11 12 13 18 24 36 48 60)
*ltable SD_a dead [weight=swght] if b3>=985  & b3<=1114 & rur==1, f  int(0 1 2 3 4 5 6 7 8 9 10 11 12 13 18 24 36 48 60)
ltable SD_a dead [weight=swght] if b3>=985  & b3<=1056 & rur==1, f  int(0 1 2 3 4 5 6 7 8 9 10 11 12 13 18 24 36 48 60)

**** life table for urban ****
ltable SD_a dead [weight=swght] if rur==0, f  int(0 1 2 3 4 5 6 7 8 9 10 11 12 13 18 24 36 48 60)
ltable SD_a dead [weight=swght] if b3>=1057 & b3<=1114 & rur==0, f  int(0 1 2 3 4 5 6 7 8 9 10 11 12 13 18 24 36 48 60)
*ltable SD_a dead [weight=swght] if b3>=985  & b3<=1114 & rur==0, f  int(0 1 2 3 4 5 6 7 8 9 10 11 12 13 18 24 36 48 60)
ltable SD_a dead [weight=swght] if b3>=985  & b3<=1056 & rur==0, f  int(0 1 2 3 4 5 6 7 8 9 10 11 12 13 18 24 36 48 60)


**** contangency table by access var ****
ltable SD_a dead [weight=swght] if b3>=985  & b3<=1114, by(sfwat2) f int(0 1 2 3 4 5 6 7 8 9 10 11 12 13 18 24 36 48 60)
ltable SD_a dead [weight=swght] if b3>=985  & b3<=1114, by(sani_has) f int(0 1 2 3 4 5 6 7 8 9 10 11 12 13 18 24 36 48 60)
ltable SD_a dead [weight=swght] if b3>=985  & b3<=1114, by(has_elec) f int(0 1 2 3 4 5 6 7 8 9 10 11 12 13 18 24 36 48 60)
ltable SD_a dead [weight=swght] if b3>=985  & b3<=1114, by(religon) f int(0 1 2 3 4 5 6 7 8 9 10 11 12 13 18 24 36 48 60)
ltable SD_a dead [weight=swght] if b3>=985  & b3<=1114, by(medu2) f int(0 1 2 3 4 5 6 7 8 9 10 11 12 13 18 24 36 48 60)

***** life table by asset index ****
ltable SD_a dead [weight=swght] if b3>=985  & b3<=1114, by(q_v) f int(0 1 2 3 4 5 6 7 8 9 10 11 12 13 18 24 36 48 60)
ltable SD_a dead [weight=swght] if b3>=985  & b3<=1114 &rur==1, by(ecstatd ) f int(0 1 2 3 4 5 6 7 8 9 10 11 12 13 18 24 36 48 60)
ltable SD_a dead                if b3>=985  & b3<=1114, by(ecstatd ) f int(0 1 2 3 4 5 6 7 8 9 10 11 12 13 18 24 36 48 60)

***** tables ****
tab ecstatd sfwat2 [w=swght] if rur==1, row
tab ecstatd sani_has [w=swght] if rur==1, row 
tab ecstatd has_elec [w=swght] if rur==1, row

su  sfwat2 sani_has has_elec [w=swght]
tab  rur sfwat2 [w=swght], row 
tab  rur sani_has [w=swght], row 
tab  rur has_elec [w=swght], row 


******* (1) hazard model estimation ******

stset SD_a, failure(dead)

keep if SD_a~=0
#delimit ;
global xv  " male twin b_int2y bord_23 bord_46 bord_7 
             fhead hsize mage mprim msec_h rorth rmos rtrad  
             sfwat2 sani_has has_elec 
             radiod_has TVd_has  biked_has roofd_2-roofd_5"  ;

#delimit cr             

streg  $xv if rur==1 ,  dist(w) nohr  r cl(cluster)
*streg  $xv if rur==0 ,  dist(w) nohr r cl(cluster)

*stcox  $xv if rur==1 ,  nohr  r cl(cluster)
*stcox  $xv if rur==0 ,  nohr   r cl(cluster)


stop
               



