
capture log close
clear all
set more 1
set matsize 300
log using c:\Diego\Africa\Congo\log_files\amos1.log, replace

#delimit;

use "C:\Diego\Africa\Congo\data\ind3.dta", clear;

merge hhid using "c:\Diego\Africa\Congo\data\temp";
tab _m;
keep if _merge==3;
drop _m;
sort hhid;


merge hhid using "C:\Diego\Africa\Congo\data\assets.dta";
tab _m;
keep if _merge==3;
drop _m;
count;

keep if agey>=5&agey<=14;

save c:\Diego\Africa\Congo\data\amos, replace;

tab state, gen(state_);
tab educlev_ch if atschool==1, gen (educh);
tab educlev, gen (educ);
tab quintile, gen(quint);
gen agey2 = agey^2;
gen double_orphan = cond(mother_alive==0&father_alive==0,1,0);
tab double_orphan;
gen single_orphan = cond((mother_alive==0|father_alive==0)&double_orphan ==0,1,0);
tab single_orphan;
tab single_orphan double_orphan;

gen dropout = cond(atschool_last_year==1&atschool==0,1,0) if why_not_atschool~=0;
tab dropout;
recode mother_in_hh . = 0;
recode father_in_hh . = 0;
recode educlev 9 = .;
tab educlev;
replace atschool = 1 if atschool==0& days_at_school>0& days_at_school~=.;
recode days_at_school 0 = . if atschool==0;
gen full_time_stdnt = cond(days_at_school==5|days_at_school==6,1,0) if atschool==1;
tab meals_per_day, gen (meals_);

bysort sex: sum atschool everattd educlev educlev_ch repetition dropout days_at_school
	agey agey2
	num_bab num_bab2 num_kid num_kid2 num_ads num_ads2 
	num_srs num_srs2 
	h_fem h_nsp h_agey h_agey2 
	h_lit h_prim h_snc h_sc h_ts  
	s_lit s_prim s_snc s_scts	 
	h_nojb h_sal h_self h_dom   
	s_nojb s_sal s_self s_dom  
	LOM_W100M 
	disabled_child
	single_orphan double_orphan mother_in_hh  father_in_hh
	state_2 state_3 state_4 state_5 state_6 state_7 state_8 state_9
	state_10 state_11
	quint2 quint3 quint4 quint5;

************* URBAN **************** ;
	
* Boys;

dprobit atschool agey agey2
	num_bab num_bab2 num_kid num_kid2 num_ads num_ads2 
	num_srs num_srs2 
	h_fem h_nsp h_agey h_agey2 s_agey s_agey2 
	h_lit h_prim h_snc h_sc h_ts  
	s_lit s_prim s_snc s_scts	 
	h_nojb h_sal h_self h_dom   
	s_nojb s_sal s_self s_dom  
	LOM_W100M 
	disabled_child
	single_orphan double_orphan mother_in_hh  father_in_hh
	state_2 state_3 state_4 state_5 state_6 state_7 state_8 state_9
	state_10 state_11
	quint2 quint3 quint4 quint5 [aw=chweight]
	if sex==1&urban==1;

outreg using "C:\Diego\Africa\Congo\tables\atschool", bdec(3) br 3aster replace;

dprobit full_time_stdnt agey agey2
	num_bab num_bab2 num_kid num_kid2 num_ads num_ads2 
	num_srs num_srs2 
	h_fem h_nsp h_agey h_agey2 s_agey s_agey2 
	h_lit h_prim h_snc h_sc h_ts  
	s_lit s_prim s_snc s_scts	 
	h_nojb h_sal h_self h_dom   
	s_nojb s_sal s_self s_dom  
	LOM_W100M 
	disabled_child
	single_orphan double_orphan mother_in_hh  father_in_hh meals_2 meals_3 
	state_2 state_3 state_4 state_5 state_6 state_7 state_8 state_9
	state_10 state_11
	quint2 quint3 quint4 quint5 [aw=chweight]
	if sex==1&urban==1;

outreg using "C:\Diego\Africa\Congo\tables\atschool", bdec(3) br 3aster append;

dprobit everattd agey agey2
	hhsize hhsize2 
	h_fem h_nsp h_agey h_agey2 
	h_lit h_prim h_snc h_sc h_ts  
	s_lit s_prim s_snc s_scts	 
	h_nojb h_sal h_self h_dom   
	LOM_W100M 
	disabled_child
	single_orphan double_orphan mother_in_hh  father_in_hh
	state_2 state_3 state_4 state_5 state_6 state_7 state_8 state_9
	state_10 state_11
	quint2 quint3 quint4 quint5 [aw=chweight]
	if sex==1&urban==1;

outreg using "C:\Diego\Africa\Congo\tables\everat", bdec(3) br 3aster replace;

oprobit educlev_ch agey agey2
	hhsize hhsize2
	h_fem h_nsp h_agey h_agey2 
	h_lit h_prim h_snc h_sc h_ts  
	s_lit s_prim s_snc s_scts	 
	h_nojb h_sal h_self h_dom   
	LOM_W100M 
	disabled_child
	single_orphan double_orphan mother_in_hh  father_in_hh meals_2 meals_3
	state_2 state_3 state_4 state_5 state_6 state_7 state_8 state_9
	state_10 state_11
	quint2 quint3 quint4 quint5 [aw=chweight]
	if sex==1&urban==1;

outreg using "C:\Diego\Africa\Congo\tables\educlev", bdec(3) br 3aster replace;

oprobit educlev agey agey2
	hhsize hhsize2
	h_fem h_nsp h_agey h_agey2 
	h_lit h_prim h_snc h_sc h_ts  
	s_lit s_prim s_snc s_scts	 
	h_nojb h_sal h_self h_dom   
	LOM_W100M 
	disabled_child
	single_orphan double_orphan mother_in_hh  father_in_hh meals_2 meals_3
	state_2 state_3 state_4 state_5 state_6 state_7 state_8 state_9
	state_10 state_11
	quint2 quint3 quint4 quint5 [aw=chweight]
	if sex==1&atschool==1&urban==1;

outreg using "C:\Diego\Africa\Congo\tables\educlev", bdec(3) br 3aster append;

dprobit repetition agey agey2
	hhsize hhsize2
	h_fem h_nsp h_agey h_agey2 
	h_lit h_prim h_snc h_sc h_ts  
	s_lit s_prim s_snc s_scts	 
	h_nojb h_sal h_self h_dom   
	s_nojb   
	LOM_W100M 
	disabled_child
	single_orphan double_orphan mother_in_hh  father_in_hh meals_2 meals_3 
	educh3 educh4 educh5 
	state_2 state_3 state_4 state_5 state_6 state_7 state_8 state_9
	state_10 state_11
	quint2 quint3 quint4 quint5 [aw=chweight]
	if sex==1&atschool==1&urban==1;

outreg using "C:\Diego\Africa\Congo\tables\repet", bdec(3) br 3aster replace;

dprobit dropout agey agey2
	hhsize hhsize2
	h_fem h_nsp h_agey h_agey2 
	h_lit h_prim h_snc h_sc h_ts  
	s_lit s_prim s_snc s_scts	 
	h_nojb h_sal h_self h_dom   
	s_nojb 
	LOM_W100M 
	disabled_child
	single_orphan double_orphan mother_in_hh  father_in_hh meals_2 meals_3 
	educ4 educ5 educ6
	state_2 state_3 state_4 state_5 state_6 state_7 state_8 state_9
	state_10 state_11
	quint2 quint3 quint4 quint5 [aw=chweight]
	if sex==1&urban==1;

outreg using "C:\Diego\Africa\Congo\tables\repet", bdec(3) br 3aster append;

* Girls;

dprobit atschool agey agey2
	num_bab num_bab2 num_kid num_kid2 num_ads num_ads2 
	num_srs num_srs2 
	h_fem h_nsp h_agey h_agey2 s_agey s_agey2 
	h_lit h_prim h_snc h_sc h_ts  
	s_lit s_prim s_snc s_scts	 
	h_nojb h_sal h_self h_dom   
	s_nojb s_sal s_self s_dom  
	LOM_W100M 
	disabled_child
	single_orphan double_orphan mother_in_hh  father_in_hh
	state_2 state_3 state_4 state_5 state_6 state_7 state_8 state_9
	state_10 state_11
	quint2 quint3 quint4 quint5 [aw=chweight]
	if sex==0&urban==1;

outreg using "C:\Diego\Africa\Congo\tables\atschool", bdec(3) br 3aster append;

dprobit full_time_stdnt agey agey2
	num_bab num_bab2 num_kid num_kid2 num_ads num_ads2 
	num_srs num_srs2 
	h_fem h_nsp h_agey h_agey2 s_agey s_agey2 
	h_lit h_prim h_snc h_sc h_ts  
	s_lit s_prim s_snc s_scts	 
	h_nojb h_sal h_self h_dom   
	s_nojb s_sal s_self s_dom  
	LOM_W100M 
	disabled_child
	single_orphan double_orphan mother_in_hh  father_in_hh meals_2 meals_3 
	state_2 state_3 state_4 state_5 state_6 state_7 state_8 state_9
	state_10 state_11
	quint2 quint3 quint4 quint5 [aw=chweight]
	if sex==0&urban==1;

outreg using "C:\Diego\Africa\Congo\tables\atschool", bdec(3) br 3aster append;

dprobit everattd agey agey2
	hhsize hhsize2
	h_fem h_nsp h_agey h_agey2 
	h_lit h_prim h_snc h_sc h_ts  
	s_lit s_prim s_snc s_scts	 
	h_nojb h_sal h_self h_dom   
	LOM_W100M 
	disabled_child
	single_orphan double_orphan mother_in_hh  father_in_hh
	state_2 state_3 state_4 state_5 state_6 state_7 state_8 state_9
	state_10 state_11
	quint2 quint3 quint4 quint5 [aw=chweight]
	if sex==0&urban==1;

outreg using "C:\Diego\Africa\Congo\tables\everat", bdec(3) br 3aster append;

oprobit educlev_ch agey agey2
	hhsize hhsize2
	h_fem h_nsp h_agey h_agey2 
	h_lit h_prim h_snc h_sc h_ts  
	s_lit s_prim s_snc s_scts	 
	h_nojb h_sal h_self h_dom   
	LOM_W100M 
	disabled_child
	single_orphan double_orphan mother_in_hh  father_in_hh meals_2 meals_3
	state_2 state_3 state_4 state_5 state_6 state_7 state_8 state_9
	state_10 state_11
	quint2 quint3 quint4 quint5 [aw=chweight]
	if sex==0&urban==1;

outreg using "C:\Diego\Africa\Congo\tables\educlev", bdec(3) br 3aster append;

oprobit educlev agey agey2
	hhsize hhsize2
	h_fem h_nsp h_agey h_agey2 
	h_lit h_prim h_snc h_sc h_ts  
	s_lit s_prim s_snc s_scts	 
	h_nojb h_sal h_self h_dom   
	LOM_W100M 
	disabled_child
	single_orphan double_orphan mother_in_hh  father_in_hh meals_2 meals_3
	state_2 state_3 state_4 state_5 state_6 state_7 state_8 state_9
	state_10 state_11
	quint2 quint3 quint4 quint5 [aw=chweight]
	if sex==0&atschool==1&urban==1;

outreg using "C:\Diego\Africa\Congo\tables\educlev", bdec(3) br 3aster append;

dprobit repetition agey agey2
	hhsize hhsize2
	h_fem h_nsp h_agey h_agey2 
	h_lit h_prim h_snc h_sc h_ts  
	s_lit s_prim s_snc s_scts	 
	h_nojb h_sal h_self h_dom   
	s_nojb   
	LOM_W100M 
	disabled_child
	single_orphan double_orphan mother_in_hh  father_in_hh meals_2 meals_3 
	educh3 educh4 educh5 
	state_2 state_3 state_4 state_5 state_6 state_7 state_8 state_9
	state_10 state_11
	quint2 quint3 quint4 quint5 [aw=chweight]
	if sex==0&atschool==1&urban==1;

outreg using "C:\Diego\Africa\Congo\tables\repet", bdec(3) br 3aster append;

dprobit dropout agey agey2
	hhsize hhsize2
	h_fem h_nsp h_agey h_agey2 
	h_lit h_prim h_snc h_sc h_ts  
	s_lit s_prim s_snc s_scts	 
	h_nojb h_sal h_self h_dom   
	s_nojb 
	LOM_W100M 
	disabled_child
	single_orphan double_orphan mother_in_hh  father_in_hh meals_2 meals_3 
	educ4 educ5 educ6 
	state_2 state_3 state_4 state_5 state_6 state_7 state_8 state_9
	state_10 state_11
	quint2 quint3 quint4 quint5 [aw=chweight]
	if sex==0&urban==1;

outreg using "C:\Diego\Africa\Congo\tables\repet", bdec(3) br 3aster append;

**************** RURAL**********;

* Boys;

dprobit atschool agey agey2
	num_bab num_bab2 num_kid num_kid2 num_ads num_ads2 
	num_srs num_srs2 
	h_fem h_nsp h_agey h_agey2 s_agey s_agey2 
	h_lit h_prim h_snc h_sc h_ts  
	s_lit s_prim s_snc s_scts	 
	h_nojb h_sal h_self h_dom   
	s_nojb s_sal s_self s_dom  
	LOM_W100M 
	disabled_child
	single_orphan double_orphan mother_in_hh  father_in_hh
	state_3 state_4 state_5 state_6 state_7 state_8 state_9
	state_10 state_11
	quint2 quint3 quint4 quint5 [aw=chweight]
	if sex==1&urban==0;

outreg using "C:\Diego\Africa\Congo\tables\atschool", bdec(3) br 3aster append;

dprobit full_time_stdnt agey agey2
	num_bab num_bab2 num_kid num_kid2 num_ads num_ads2 
	num_srs num_srs2 
	h_fem h_nsp h_agey h_agey2 s_agey s_agey2 
	h_lit h_prim h_snc h_sc h_ts  
	s_lit s_prim s_snc s_scts	 
	h_nojb h_sal h_self h_dom   
	s_nojb s_sal s_self s_dom  
	LOM_W100M 
	disabled_child
	single_orphan double_orphan mother_in_hh  father_in_hh meals_2 meals_3 
	state_3 state_4 state_5 state_6 state_7 state_8 state_9
	state_10 state_11
	quint2 quint3 quint4 quint5 [aw=chweight]
	if sex==1&urban==0;

outreg using "C:\Diego\Africa\Congo\tables\atschool", bdec(3) br 3aster append;

dprobit everattd agey agey2
	hhsize hhsize2
	h_fem h_nsp h_agey h_agey2 
	h_lit h_prim h_snc h_sc h_ts  
	s_lit s_prim s_snc s_scts	 
	h_nojb h_sal h_self h_dom   
	LOM_W100M 
	disabled_child
	single_orphan double_orphan mother_in_hh  father_in_hh
	state_3 state_4 state_5 state_6 state_7 state_8 state_9
	state_10 state_11
	quint2 quint3 quint4 quint5 [aw=chweight]
	if sex==1&urban==0;

outreg using "C:\Diego\Africa\Congo\tables\everat", bdec(3) br 3aster append;

oprobit educlev_ch agey agey2
	hhsize hhsize2
	h_fem h_nsp h_agey h_agey2 
	h_lit h_prim h_snc h_sc h_ts  
	s_lit s_prim s_snc s_scts	 
	h_nojb h_sal h_self h_dom   
	LOM_W100M 
	disabled_child
	single_orphan double_orphan mother_in_hh  father_in_hh meals_2 meals_3
	state_3 state_4 state_5 state_6 state_7 state_8 state_9
	state_10 state_11
	quint2 quint3 quint4 quint5 [aw=chweight]
	if sex==1&urban==0;

outreg using "C:\Diego\Africa\Congo\tables\educlev", bdec(3) br 3aster append;

oprobit educlev agey agey2
	hhsize hhsize2
	h_fem h_nsp h_agey h_agey2 
	h_lit h_prim h_snc h_sc h_ts  
	s_lit s_prim s_snc s_scts	 
	h_nojb h_sal h_self h_dom   
	LOM_W100M 
	disabled_child
	single_orphan double_orphan mother_in_hh  father_in_hh meals_2 meals_3
	state_3 state_4 state_5 state_6 state_7 state_8 state_9
	state_10 state_11
	quint2 quint3 quint4 quint5 [aw=chweight]
	if sex==1&atschool==1&urban==0;

outreg using "C:\Diego\Africa\Congo\tables\educlev", bdec(3) br 3aster append;

dprobit repetition agey agey2
	hhsize hhsize2
	h_fem h_nsp h_agey h_agey2 
	h_lit h_prim h_snc h_sc h_ts  
	s_lit s_prim s_snc s_scts	 
	h_nojb h_sal h_self h_dom   
	s_nojb 
	LOM_W100M 
	disabled_child
	single_orphan double_orphan mother_in_hh  father_in_hh meals_2 meals_3 
	educh3 educh4 educh5 
	state_3 state_4 state_5 state_6 state_7 state_8 state_9
	state_10 state_11
	quint2 quint3 quint4 quint5 [aw=chweight]
	if sex==1&atschool==1&urban==0;

outreg using "C:\Diego\Africa\Congo\tables\repet", bdec(3) br 3aster append;

dprobit dropout agey agey2
	hhsize hhsize2
	h_fem h_nsp h_agey h_agey2 
	h_lit h_prim h_snc h_sc h_ts  
	s_lit s_prim s_snc s_scts	 
	h_nojb h_sal h_self h_dom   
	s_nojb 
	LOM_W100M 
	disabled_child
	single_orphan double_orphan mother_in_hh  father_in_hh meals_2 meals_3 
	educ4 educ5 educ6 
	state_3 state_4 state_5 state_6 state_7 state_8 state_9
	state_10 state_11
	quint2 quint3 quint4 quint5 [aw=chweight]
	if sex==1&urban==0;

outreg using "C:\Diego\Africa\Congo\tables\repet", bdec(3) br 3aster append;

* Girls;

dprobit atschool agey agey2
	num_bab num_bab2 num_kid num_kid2 num_ads num_ads2 
	num_srs num_srs2 
	h_fem h_nsp h_agey h_agey2 s_agey s_agey2 
	h_lit h_prim h_snc h_sc h_ts  
	s_lit s_prim s_snc s_scts	 
	h_nojb h_sal h_self h_dom   
	s_nojb s_sal s_self s_dom  
	LOM_W100M 
	disabled_child
	single_orphan double_orphan mother_in_hh  father_in_hh
	state_3 state_4 state_5 state_6 state_7 state_8 state_9
	state_10 state_11
	quint2 quint3 quint4 quint5 [aw=chweight]
	if sex==0&urban==0;

outreg using "C:\Diego\Africa\Congo\tables\atschool", bdec(3) br 3aster append;

dprobit full_time_stdnt agey agey2
	num_bab num_bab2 num_kid num_kid2 num_ads num_ads2 
	num_srs num_srs2 
	h_fem h_nsp h_agey h_agey2 s_agey s_agey2 
	h_lit h_prim h_snc h_sc h_ts  
	s_lit s_prim s_snc s_scts	 
	h_nojb h_sal h_self h_dom   
	s_nojb s_sal s_self s_dom  
	LOM_W100M 
	disabled_child
	single_orphan double_orphan mother_in_hh  father_in_hh meals_2 meals_3 
	state_3 state_4 state_5 state_6 state_7 state_8 state_9
	state_10 state_11
	quint2 quint3 quint4 quint5 [aw=chweight]
	if sex==0&urban==0;

outreg using "C:\Diego\Africa\Congo\tables\atschool", bdec(3) br 3aster append;

dprobit everattd agey agey2
	hhsize hhsize2
	h_fem h_nsp h_agey h_agey2 
	h_lit h_prim h_snc h_sc h_ts  
	s_lit s_prim s_snc s_scts	 
	h_nojb h_sal h_self h_dom   
	LOM_W100M 
	disabled_child
	single_orphan double_orphan mother_in_hh  father_in_hh
	state_3 state_4 state_5 state_6 state_7 state_8 state_9
	state_10 state_11
	quint2 quint3 quint4 quint5 [aw=chweight]
	if sex==0&urban==0;

outreg using "C:\Diego\Africa\Congo\tables\everat", bdec(3) br 3aster append;

oprobit educlev_ch agey agey2
	hhsize hhsize2
	h_fem h_nsp h_agey h_agey2 
	h_lit h_prim h_snc h_sc h_ts  
	s_lit s_prim s_snc s_scts	 
	h_nojb h_sal h_self h_dom   
	LOM_W100M 
	disabled_child
	single_orphan double_orphan mother_in_hh  father_in_hh meals_2 meals_3
	state_3 state_4 state_5 state_6 state_7 state_8 state_9
	state_10 state_11
	quint2 quint3 quint4 quint5 [aw=chweight]
	if sex==0&urban==0;

outreg using "C:\Diego\Africa\Congo\tables\educlev", bdec(3) br 3aster append;

oprobit educlev agey agey2
	hhsize hhsize2
	h_fem h_nsp h_agey h_agey2 
	h_lit h_prim h_snc h_sc h_ts  
	s_lit s_prim s_snc s_scts	 
	h_nojb h_sal h_self h_dom   
	LOM_W100M 
	disabled_child
	single_orphan double_orphan mother_in_hh  father_in_hh meals_2 meals_3
	state_3 state_4 state_5 state_6 state_7 state_8 state_9
	state_10 state_11
	quint2 quint3 quint4 quint5 [aw=chweight]
	if sex==0&atschool==1&urban==0;

outreg using "C:\Diego\Africa\Congo\tables\educlev", bdec(3) br 3aster append;

dprobit repetition agey agey2
	hhsize hhsize2
	h_fem h_nsp h_agey h_agey2 
	h_lit h_prim h_snc h_sc h_ts  
	s_lit s_prim s_snc s_scts	 
	h_nojb h_sal h_self h_dom   
	s_nojb 
	LOM_W100M 
	disabled_child
	single_orphan double_orphan mother_in_hh  father_in_hh meals_2 meals_3 
	educh3 educh4 educh5 
	state_3 state_4 state_5 state_6 state_7 state_8 state_9
	state_10 state_11
	quint2 quint3 quint4 quint5 [aw=chweight]
	if sex==0&atschool==1&urban==0;

outreg using "C:\Diego\Africa\Congo\tables\repet", bdec(3) br 3aster append;

dprobit dropout agey agey2
	hhsize hhsize2
	h_fem h_nsp h_agey h_agey2 
	h_lit h_prim h_snc h_sc h_ts  
	s_lit s_prim s_snc s_scts	 
	h_nojb h_sal h_self h_dom   
	s_nojb  
	LOM_W100M 
	disabled_child
	single_orphan double_orphan mother_in_hh  father_in_hh meals_2 meals_3 
	educ4 educ5 educ6 
	state_3 state_4 state_5 state_6 state_7 state_8 state_9
	state_10 state_11
	quint2 quint3 quint4 quint5 [aw=chweight]
	if sex==0&urban==0;

outreg using "C:\Diego\Africa\Congo\tables\repet", bdec(3) br 3aster append;

* CROSS TABS;
tab why_not_atschool quintile [aw=chweight],col;
tab why_not_atschool poor [aw=chweight],col;
tab type_disab poor [aw=chweight], col;

* By gender:;
sort sex;
by sex: tab why_not_atschool quintile [aw=chweight],col;
by sex: tab why_not_atschool poor [aw=chweight],col;
