capture log close
clear all
set more 1
set mem 40000
set matsize 150
log using c:\Diego\Mauritania\log_files\indiv_08-26-03.log, replace
#delimit;
set mem 120000;

use c:\Diego\Mauritania\data\indinv_1;

sort hid;
merge hid using c:\Diego\Mauritania\data\head;
tab _merge;
drop _merge;

sort hid;
merge hid using c:\Diego\Mauritania\data\spouse;
tab _merge;
drop _merge;

sort hid;
merge hid using c:\Diego\Mauritania\data\total_1.dta;
tab _merge;
keep if _merge==3;
drop _merge;

tab quintile, gen(quint);

sort hid indid;
by hid indid: gen asiste=cond(atschool==1,1,0) if atschool~=.;
by hid indid: gen work=cond(occupat==1|occupat==3,1,0) if occupat~=.;
tab work asiste, m;

drop if asiste==.|work==.;
keep if agey<=15;
count;
save c:\Diego\Mauritania\data\amos2, replace;


tab work asiste [aw=wta],m;

tab asiste work if sex==1 [aw=wta];
tab asiste work if sex~=1 [aw=wta];

*gen land=ownland==1;
rename wta factorex;
rename agey age;
rename rururb rural;
recode rural 2=0;
gen age2=age^2;
gen h_hrs2=h_hrs^2;
tab wilaya [aw=factorex], gen(geo);

* Take care of households with no spouse;
replace s_ne=0 if (s_ne==.&nspouse==0);
replace s_ke=0 if (s_ke==.&nspouse==0);
replace s_pnc=0 if (s_pnc==.&nspouse==0);
replace s_pc=0 if (s_pc==.&nspouse==0);
replace s_snc=0 if (s_snc==.&nspouse==0);
replace s_sc=0 if (s_sc==.&nspouse==0);
replace s_ts=0 if (s_ts==.&nspouse==0);
replace s_prim=0 if (s_prim==.&nspouse==0);
replace s_st=0 if (s_st==.&nspouse==0);
replace s_agey_c=0 if (s_agey_c==.&nspouse==0); 
replace s_agey2_c=0 if (s_agey2_c==.&nspouse==0); 
replace s_unem=0 if (s_unem==.&nspouse==0);
replace s_nilf=0 if (s_nilf==.&nspouse==0);
replace s_ag=0 if (s_ag==.&nspouse==0);
replace s_pvt=0 if (s_pvt==.&nspouse==0);
replace s_self=0 if (s_self==.&nspouse==0);
replace s_pub=0 if (s_pub==.&nspouse==0);

sum asiste work age age2
	num_bab num_bab2 num_kid num_kid2 num_ads num_ads2 num_srs num_srs2 num_adp num_adp2 
	h_fem 
	h_ke h_prim h_st h_lit
	s_ke s_prim s_st 
	h_unem h_nilf h_pub h_pvt h_self h_ag  
	land landsz landsz2 
	mig_h tmig_h 
	water hospital elect
	quint1 quint2 quint3 quint4 quint5
	geo* rural;
	
******** RURAL *************;

* Boys;

dprobit asiste 
	age age2
	num_bab num_bab2 num_kid num_kid2 num_ads num_ads2 num_srs num_srs2 num_adp num_adp2 
	h_fem 
	h_ke h_prim h_st h_lit
	s_ke s_prim s_st 
	h_unem h_nilf h_pub h_pvt h_self h_ag  
	land landsz landsz2 
	mig_h tmig_h 
	water hospital elect
	quint1 quint2 quint3 quint4 
	geo1 geo2 geo3 geo4 geo5 geo6 geo7 geo8 geo9 /*geo10*/ geo11 geo12
	if sex==1&rural==1;

outreg using "C:\Diego\Mauritania\tables\amos_2", bdec(6) br 3aster replace;

dprobit work 
	age age2
	num_bab num_bab2 num_kid num_kid2 num_ads num_ads2 num_srs num_srs2 num_adp num_adp2 
	h_fem 
	h_ke h_prim h_st h_lit
	s_ke s_prim s_st 
	h_unem h_nilf h_pub h_pvt h_self h_ag  
	land landsz landsz2 
	mig_h tmig_h 
	water hospital elect
	quint1 quint2 quint3 quint4 
	geo1 geo2 geo3 geo4 geo5 geo6 geo7 geo8 geo9 /*geo10*/ geo11 geo12
	if sex==1&rural==1;

outreg using "C:\Diego\Mauritania\tables\amos_2", bdec(6) br 3aster append;

* Girls;

dprobit asiste age age2
	num_bab num_bab2 num_kid num_kid2 num_ads num_ads2 num_srs num_srs2 num_adp num_adp2 
	h_fem 
	h_ke h_prim h_st h_lit
	s_ke s_prim s_st 
	h_unem h_nilf h_pub h_pvt h_self h_ag  
	land landsz landsz2 
	mig_h tmig_h 
	water hospital elect
	quint1 quint2 quint3 quint4 
	geo1 geo2 geo3 geo4 geo5 geo6 geo7 geo8 geo9 /*geo10*/ geo11 geo12
	if sex==2&rural==1;

outreg using "C:\Diego\Mauritania\tables\amos_2", bdec(6) br 3aster append;

dprobit work age age2
	num_bab num_bab2 num_kid num_kid2 num_ads num_ads2 num_srs num_srs2 num_adp num_adp2 
	h_fem 
	h_ke h_prim h_st h_lit
	s_ke s_prim s_st 
	h_unem h_nilf h_pub h_pvt h_self h_ag  
	land landsz landsz2 
	mig_h tmig_h 
	water hospital elect
	quint1 quint2 quint3 quint4 
	geo1 geo2 geo3 geo4 geo5 geo6 geo7 geo8 geo9 /*geo10*/ geo11 geo12
	if sex==2&rural==1;

outreg using "C:\Diego\Mauritania\tables\amos_2", bdec(6) br 3aster append;


******** URBAN *************;

* Boys;

dprobit asiste age age2
	num_bab num_bab2 num_kid num_kid2 num_ads num_ads2 num_srs num_srs2 num_adp num_adp2 
	h_fem 
	h_ke h_prim h_st h_lit
	s_ke s_prim s_st 
	h_unem h_nilf h_pub h_pvt h_self h_ag  
	land landsz landsz2 
	mig_h tmig_h 
	water hospital elect
	quint1 quint2 quint3 quint4 
	geo1 geo2 geo3 geo4 geo5 geo6 geo7 geo8 geo9 geo10 geo11 geo12
	if sex==1&rural==0;

outreg using "C:\Diego\Mauritania\tables\amos_2", bdec(6) br 3aster append;

dprobit work age age2
	num_bab num_bab2 num_kid num_kid2 num_ads num_ads2 num_srs num_srs2 num_adp num_adp2 
	h_fem 
	h_ke h_prim h_st h_lit
	s_ke s_prim s_st 
	h_unem h_nilf h_pub h_pvt h_self h_ag  
	land landsz landsz2 
	mig_h tmig_h 
	water hospital elect
	quint1 quint2 quint3 quint4 
	geo1 geo2 geo3 geo4 geo5 geo6 geo7 geo8 geo9 geo10 geo11 geo12
	if sex==1&rural==0;

outreg using "C:\Diego\Mauritania\tables\amos_2", bdec(6) br 3aster append;


* Girls;

dprobit asiste age age2
	num_bab num_bab2 num_kid num_kid2 num_ads num_ads2 num_srs num_srs2 num_adp num_adp2 
	h_fem 
	h_ke h_prim h_st h_lit
	s_ke s_prim s_st 
	h_unem h_nilf h_pub h_pvt h_self h_ag  
	land landsz landsz2 
	mig_h tmig_h 
	water hospital elect
	quint1 quint2 quint3 quint4 
	geo1 geo2 geo3 geo4 geo5 geo6 geo7 geo8 geo9 geo10 geo11 geo12
	if sex==2&rural==0;

outreg using "C:\Diego\Mauritania\tables\amos_2", bdec(6) br 3aster append;

dprobit work age age2
	num_bab num_bab2 num_kid num_kid2 num_ads num_ads2 num_srs num_srs2 num_adp num_adp2 
	h_fem 
	h_ke h_prim h_st h_lit
	s_ke s_prim s_st 
	h_unem h_nilf h_pub h_pvt h_self h_ag  
	land landsz landsz2 
	mig_h tmig_h 
	water hospital elect
	quint1 quint2 quint3 quint4 
	geo1 geo2 geo3 geo4 geo5 geo6 geo7 geo8 geo9 geo10 geo11 geo12
	if sex==2&rural==0;

outreg using "C:\Diego\Mauritania\tables\amos_2", bdec(6) br 3aster append;


* DETERMINANTS OF REPETITION;

sort rural;
by rural: tab repet sex;

dprobit repet age age2
	num_bab num_bab2 num_kid num_kid2 num_ads num_ads2 num_srs num_srs2 num_adp num_adp2 
	h_fem 
	h_ke h_prim h_st h_lit
	s_ke s_prim s_st 
	h_unem h_nilf h_pub h_pvt h_self h_ag  
	land landsz landsz2 
	mig_h tmig_h 
	water hospital elect
	quint1 quint2 quint3 quint4 
	geo1 geo2 geo3 geo4 geo5 geo6 geo7 geo8 geo9 /*geo10*/ geo11 geo12
	if rural==1;

outreg using "C:\Diego\Mauritania\tables\amos_2", bdec(6) br 3aster append;

dprobit repet age age2
	num_bab num_bab2 num_kid num_kid2 num_ads num_ads2 num_srs num_srs2 num_adp num_adp2 
	h_fem 
	h_ke h_prim h_st h_lit
	s_ke s_prim s_st 
	h_unem h_nilf h_pub h_pvt h_self h_ag  
	land landsz landsz2 
	mig_h tmig_h 
	water hospital elect
	quint1 quint2 quint3 quint4 
	geo1 geo2 geo3 geo4 geo5 geo6 geo7 geo8 geo9 geo10 geo11 geo12
	if rural==0;

outreg using "C:\Diego\Mauritania\tables\amos_2", bdec(6) br 3aster append;

*log close;


