***
*** Example 1.3. Bootstrapping weighted means and medians
***
***Borrowed from A. Deaton
***
version 4.0
#delimit ;
cap log close;
log using bswmean.log, replace;
set more 1;
drop _all;
use hhexp1, clear;
gen weight=pond*hhsize;
gen clust=int(hid);
gen strat=int(hid/1000);
gen pce=hhexp/hhsize;
keep clust strat pce weight;
egen newstrat=group(strat);
*egen numbers the strata 1,2, etc;
drop strat;
save tempbase, replace; 

**Bootstrapping for srs and weighted mean;
**Using strata and clusters;
cap program drop sbsmean;
program def sbsmean;
tempname sim;
tempfile bsres samp ssamp;
postfile `sim' x xw xmed xmedw using `bsres', replace;
local ic=1;
while `ic' <= 100 {;
display "replication no. " `ic';
/* at each replication build up bs sample
** stratum by stratum: `is' is stratum counter */
local is=1;
while `is' <= 22 {;
use tempbase, clear; 

qui keep if newstrat==`is';
sort clust;
qui save `ssamp', replace;
keep clust;
qui by clust: drop if _n ~= 1;
/* bs sampling of clusters */
bsample _N;
sort clust;
qui by clust: gen dum=_N;
qui by clust: drop if _n ~= 1;
merge clust using `ssamp';
qui drop if _merge ~= 3;
qui expand dum;
drop _merge dum;
if `is'==1 {;
qui save `samp', replace; };
else {;
append using `samp';
qui save `samp', replace;};
local is=`is'+1;
};
use `samp', clear;
/* the unweighted estimate */
qui summ pce, d;
local md=_result(10);
local mn=_result(3);
/* the weighted estimate */
qui summ pce [aweight=weight],d;
local mnw=_result(3);
local mdw=_result(10);
post `sim' `mn' `mnw' `md' `mdw';
local ic=`ic'+1;
};
postclose `sim';
drop _all;
use `bsres';
summ;
save bswmean, replace;
end; 

sbsmean; 

log close;


