#delimit;
/* --------------------------- */
/*Children Work variables */
/* --------------------------- */;



sort indid;

count if agey<18;

cap drop c_*;
cap drop child_*;

*cap drop _expand;
*dups hid indid, drop;
sort hid;

* gender of child: male;
by hid: gen c_mal = cond( sex == 1, 1, 0 ) if agey<18;
lab var c_mal "Child is a Boy";


by hid: gen c_fem = cond( sex == 2, 1, 0 ) if agey<18;
lab var c_fem "Child is a Girl";

by hid: gen c_polyg = cond(marstat == 3 , 1, 0 ) if ( marstat ~= . ) & agey<18;
lab var c_polyg  "Child is in a polygamous family";

* Assume chil is living alone;
by hid: gen c_alone = cond( relat<2, 1, 0 ) if ( relat~= . ) & agey<18;
lab var c_alone "Child is alone";

* Note: agey not allowed to be missing;
by hid: gen c_agey = agey ;
lab var c_agey "Age of child";

by hid: gen c_agey_c = cond( c_agey < 99, c_agey, . ) if  agey<18;
lab var c_agey_c "Age of child, no 99 allowed";

by hid: gen int c_agey2 = ((c_agey)^2) if  agey<18;
lab var c_agey2 "Square of age of child";

by hid: gen int c_agey2_c = ((c_agey_c)^2) if  agey<18;
lab var c_agey2_c "Square of no-99 age of child";

/*by hid: gen int feel_poor_c = cond(feel_poor==1,1,0) if feel_poor~=.;
lab var feel_poor_c "Child feels poor"*/;



************************************ Health status of the child*****************************************************;
sort hid;
by hid: g int c_hand=1 if handicap==1 & agey<18;
replace c_hand=0 if c_hand==.;



/************************************ employment variables**********************************************************;

by hid: gen c_ilf = cond( occupat ==1, 1, 0 ) if ( occupat ~= . ) & agey<18;
lab var c_ilf "Child in labor force";

by hid: gen c_nilf = cond( occupat > 2, 1, 0 ) if ( occupat ~= . ) & agey<18;
lab var c_nilf "Child not in labor force";

by hid: gen int c_hrs = hourwrk if ( occupat == 1 ) & agey<18;
lab var c_hrs "Child's hours worked per week";

* could be amended to be those children who are employed ;
by hid: gen c_em = cond( occupat == 1, 1, 0 ) if ( occupat ~= . ) & agey<18;
lab var c_em "Child is employed";

* could be amended to be those children who are unemployed (search==1 and/or want to work);
by hid: gen c_unem = cond( occupat == 2, 1, 0 ) if ( occupat ~= . )  & agey<18; /*Not sure of adding search==1 to this*/;
lab var c_unem "Child is unemployed";

*replace industry=0 if occupat>1 & occupat~=.;
replace statocc=0 if occupat>1 & occupat~=.;



/*
by hid: gen c_pub = cond( occupat == 1 & statocc == 1, 1, 0 ) if ( occupat ~= . & statocc ~= . );
lab var c_pub "Child is public sector wage employee";
by hid: gen c_pvt = cond( occupat == 1 & statocc == 2, 1, 0 ) if ( occupat ~= . & statocc ~= . );

lab var c_pvt "Child is private sector wage employee";
*by hid: gen c_emp = cond( occupat == 1 & statocc == 5, 1, 0 ) if ( occupat ~= . & statocc ~= . );
*lab var c_emp "Child is an employer";
by hid: gen c_inf = cond(occupat==1 & statocc==3,1,0 ) if (occupat ~= . & statocc ~= .);
lab var c_inf "Child works in informal sector";
by hid: gen c_self = cond(occupat==1 & statocc==4,1,0 ) if (occupat ~= . & statocc ~= .);
lab var c_self "Child is self employed";
tab c_self;
by hid: gen c_ag = cond( empl == 1, 1, 0 ) if (occupat ~= . & statocc ~= . );
lab var c_ag "Child is engaged in an agricultural activity";
tab c_ag;
*/



sort hid;

by hid: g c_ag=cond(industry==1, 1, 0) if (occupat ~= . & statocc ~= . ) & agey<18;
lab var c_ag "Child is engaged in an agricultural activity";
tab c_ag;

by hid: g c_man=cond(industry==2, 1, 0) if (occupat ~= . & statocc ~= . ) & agey<18;
lab var c_man "Child is engaged in Manufacturing/Mining and quarrying/construction/transport/other activities";
tab c_man;

by hid: g c_com=cond(industry==3, 1, 0) if (occupat ~= . & statocc ~= . ) & agey<18;
lab var c_com "Child is engaged in Utilities/commerce activities";
tab c_com;

by hid: g c_adm=cond(industry==4, 1, 0) if (occupat ~= . & statocc ~= . ) & agey<18;
lab var c_adm "Child is engaged in Banking/financial services/Professional/Public administration activities";
tab c_adm;

by hid: g c_other=cond(industry>4, 1, 0) if (occupat ~= . & statocc ~= . ) & agey<18;
lab var c_other "Child is engaged in Other activities";
tab c_other;

/*INDUSTRY - need to include : See Rwanda*/;

* first test variable: Child should have one employment category or be unemployed;
*egen Childemp = rsum(c_unem c_ag c_mfg c_mine c_cnst c_util c_comm c_bank c_prof c_pbad c_tspt c_othr) if (relat == 1);

*egen Childemp = rsum(c_unem c_pub c_pvt c_inf c_self) if (relat == 1);

egen Childemp = rsum(c_unem c_ag c_com c_adm c_man) if (relat == 1);

* must deal with known problems from definition of unemployed;

replace c_unem  = 0 if   Childemp == 2;
* replace Childemp = 1 if   Childemp == 2;
assert Childemp <= 1 if ( Childemp ~= . );
drop Childemp;

*by hid: gen c_job = cond( c_ag == 1   | c_mfg == 1  | c_mine == 1 | c_cnst == 1 | c_util == 1 | 
                          c_comm == 1 | c_bank == 1 | c_prof == 1 | c_pbad == 1 | c_tspt == 1 | 
                          c_othr == 1, 1, 0 ) if ( occupat ~= . & industry ~= . );


/*by hid: gen c_job =  cond( c_pub == 1   | c_pvt == 1  | c_inf == 1 | c_self == 1 , 1, 0 ) 
			        if ( occupat ~= . & statocc ~= .)*/;

by hid: gen c_job =  cond( c_ag == 1   | c_com == 1  | c_man == 1 | c_adm == 1 , 1, 0 ) 
			        if ( occupat ~= . & statocc ~= .);
lab var c_job "Child has a job";


* check that the Child has a job, is unemployed, or is not in the labor force;
tempvar hjob_test;
* must deal with known problems from definition of unemployment;
replace c_unem = 0 if c_job  == 1;
replace c_nilf = 0 if c_unem == 1;
replace c_nilf = 0 if c_job  == 1;

gen int hjob_test = c_job + c_unem + c_nilf ;
assert hjob_test <= 1 if ( hjob_test ~= . );
tab hjob_test;

by hid: gen c_nojb = cond( c_unem == 1 | c_nilf == 1, 1, 0 ) if ( occupat ~= .);
lab var c_nojb "Child unemployed or NILF";
*/

********************************************education variables**********************************************;

by hid: gen c_ne  = cond( educlev == 1, 1, 0 ) if agey<18 /*if ( educlev ~= . & educlev ~= 9 & educlev ~= 99 )*/;
lab var c_ne "Child has no education";

by hid: gen c_ke  = cond( educlev == 2, 1, 0 ) if agey<18 /*if ( educlev ~= . & educlev ~= 9 & educlev ~= 99 )*/;
lab var c_ke "Child has koranic education";

by hid: gen c_pnc = cond( educlev == 3, 1, 0 ) if agey<18 /*if ( educlev ~= . & educlev ~= 9 & educlev ~= 99 )*/;
lab var c_pnc "Child incomplete primary";

by hid: gen c_pc  = cond( educlev == 4, 1, 0 ) if agey<18 /*if ( educlev ~= . & educlev ~= 9 & educlev ~= 99 )*/;
lab var c_pc "Child completed primary";

by hid: gen c_snc = cond( educlev == 5, 1, 0 ) if agey<18 /*if ( educlev ~= . & educlev ~= 9 & educlev ~= 99 )*/;
lab var c_snc "Child incomplete secondary";

by hid: gen c_sc  = cond( educlev == 6, 1, 0 ) if agey<18 /*if ( educlev ~= . & educlev ~= 9 & educlev ~= 99 )*/;
lab var c_sc "Child completed secondary";

by hid: gen c_ts  = cond( educlev == 7, 1, 0 ) if agey<18 /*if ( educlev ~= . & educlev ~= 9 & educlev ~= 99 )*/;
lab var c_ts "Child has tertiary";

by hid: gen c_ps  = cond( educlev == 8, 1, 0 ) if agey<18 /*if ( educlev ~= . & educlev ~= 9 & educlev ~= 99 )*/;
lab var c_ps "Child preschool only";

by hid: gen c_ue  = cond( educlev == 9 | educlev == 99 | educlev == ., 1, 0 ) if agey<18 ;
lab var c_ue "Child unstated/unknown education";

by hid: gen c_sct = cond(educlev == 5|educlev==6 | educlev==7,1,0) if agey<18 /*if (educlev ~= . & educlev ~= 9 & educlev ~= 99)*/;
lab var c_sct "Child has at least imcomplete, completed secondary or tertiary education";

/*by hid: gen c_st  = cond(educlev>=5 & educlev<=7,1,0) if agey<18 /*if (educlev ~= . & educlev ~= 9 & educlev ~= 99)*/;
lab var c_st "Child has at least some secondary education"*/;

by hid: gen c_prim = cond(educlev==3|educlev==4|educlev==8,1,0) if agey<18 /*if (educlev ~= . & educlev ~= 9 & educlev ~= 99)*/;
lab var c_prim "Child has at least some prescholl or primary education";

by hid: gen c_noeduc=cond(educlev==1, 1, 0) if agey<18 /*if (educlev ~= . & educlev ~= 9 & educlev ~= 99)*/;
lab var c_noeduc "Child has no education or has preschool";


/*
tempvar test_c_ed1;
egen test_c_ed1 = rsum( c_ne c_ke c_pnc c_pc c_snc c_sc c_ts c_ps );
lab var test_c_ed1 "Test that Child has some level of education if educlev ~= .";
assert test_c_ed1 == 1 if ( educlev < 9 & educlev ~= . );

tempvar test_c_ed3;
egen test_c_ed3 = rsum( c_ne c_ke c_pnc c_pc c_snc c_sc c_ts c_ps c_ue );
lab var test_c_ed1 "Test that Child has education information or missing";
assert test_c_ed3 <= 1;

tempvar test_c_ed2;
egen test_c_ed2 = rsum( c_sct c_sct c_prim );
lab var test_c_ed2 "Test of Child's educlev for lumping education";
assert test_c_ed2 <= 2 if ( test_c_ed2 ~= . );
*/

by hid: gen c_lit = cond( literacy == 1, 1, 0 ) if ( literacy ~= . );
lab var c_lit "Child is literate";

by hid: gen c_occup= occupat;
*by hid: gen c_industry= industry;
by hid: gen c_statoc= statoc;


save, replace;



#delimit cr