clear
set more 1
set mem 300m
set rmsg on
set matsize 400 
set seed 123456789


cd "C:\Documents and Settings\Bachir\Desktop\Bachir\World Bank\Wodon\CIV\Cote d'Ivoire Consumption\STATA"



use final
sort hid
save, replace

use ind6, replace
sort hid
merge hid using final
ta _mer
drop _mer

cap drop rich
xtile rich=pchhinc , nq(5)
ta rich, m

keep if agey<18
sort hid indid
by hid (indid): g agey2=agey^2

compress

recode everattd 2=0
recode atschool 2=0

save childeduc, replace

#delimit;

global xxx
"       agey agey2 i.sex 
        c_hand 
        num_bab num_bab2 num_kid num_kid2 num_ads num_ads2 num_srs num_srs2 
	h_agey h_agey2 s_agey s_agey2
	h_prim h_sct h_lit
        t_mig_h l_mig_h 
        h_hand
        h_anim h_musl
        h_krou h_mande h_volta h_etr
	h_com h_ag h_man h_other
	s_prim s_sct s_lit 
        t_mig_s l_mig_s 
        s_hand
        s_anim s_musl
        s_krou s_mande s_volta s_etr       
	s_com s_ag s_man s_other
	land lander landsz2 
	lomwater  lomelec lomtelephone 
        i.rich
	i.region
";

global xxx2
"       agey agey2 i.sex    
        c_hand  
        num_bab num_bab2 num_kid num_kid2 num_ads num_ads2 num_srs num_srs2 
	h_agey h_agey2 s_agey s_agey2
	h_prim h_sct h_lit
        t_mig_h l_mig_h 
        
        h_anim h_musl
	h_com h_ag h_man h_other
	s_prim s_sct s_lit 
        t_mig_s l_mig_s 
        
        s_anim s_musl
	s_com s_ag s_man s_other
	land lander landsz2 
	lomwater  lomelec lomtelephone 
        i.rich
	i.region
";

global xxxvars
"       agey agey2 sex 
        c_hand 
        num_bab num_bab2 num_kid num_kid2 num_ads num_ads2 num_srs num_srs2 
	h_agey h_agey2 s_agey s_agey2
	h_prim h_sct h_lit
        t_mig_h l_mig_h 
       
        h_anim h_musl
        h_krou h_mande h_volta h_etr
	h_com h_ag h_man h_other
	s_prim s_sct s_lit 
        t_mig_s l_mig_s 
        
        s_anim s_musl
        s_krou s_mande s_volta s_etr       
	s_com s_ag s_man s_other
	land lander landsz2 
	lomwater  lomelec lomtelephone 
        rich
	region
";


cap log close;
log using "Childeductab2.log", replace;
foreach i of global xxxvars {;
  tab `i', m;
  tab `i' everattd , m;
  tab `i' atschool , m;
  tab `i' educlev, m;
};




cap log close;
log using "DeterminantsofChildEducation2.log", replace;


***Child Education****;


*Presently at School;


*National & regional levels;
xi: dprobit atschool $xxx [aw=pond], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (atschool) : National) bdec(3) br 3aster replace;
xi: dprobit atschool $xxx if rururb==1 [aw=pond], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (atschool) : Urban) bdec(3) br 3aster append;
xi: dprobit atschool $xxx if rururb==2 [aw=pond], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (atschool) : Rural) bdec(3) br 3aster append;
xi: dprobit atschool $xxx2 if ivoirien==1 [aw=pond], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (atschool) : Ivoiriens) bdec(3) br 3aster append;
xi: dprobit atschool $xxx2 if ivoirien==0 [aw=pond], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (atschool) : Non Ivoiriens) bdec(3) br 3aster append;

*Boys;
xi: dprobit atschool $xxx [aw=pond] if sex==1, robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (atschool) : Boys National) bdec(3) br 3aster append;
xi: dprobit atschool $xxx if rururb==1 & sex==1 [aw=pond], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (atschool) : Boys Urban) bdec(3) br 3aster append;
xi: dprobit atschool $xxx if rururb==2  & sex==1 [aw=pond], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (atschool) : Boys Rural) bdec(3) br 3aster append;
xi: dprobit atschool $xxx2 if ivoirien==1  & sex==1 [aw=pond], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (atschool) : Boys Ivoiriens) bdec(3) br 3aster append;
xi: dprobit atschool $xxx2 if ivoirien==0  & sex==1 [aw=pond], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (atschool) : Boys Non Ivoiriens) bdec(3) br 3aster append;


*Girls;
xi: dprobit atschool $xxx [aw=pond] if sex==2, robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (atschool) : Girls National) bdec(3) br 3aster append;
xi: dprobit atschool $xxx if rururb==1 & sex==2 [aw=pond], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (atschool) : Girls Urban) bdec(3) br 3aster append;
xi: dprobit atschool $xxx if rururb==2  & sex==2 [aw=pond], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (atschool) : Girls Rural) bdec(3) br 3aster append;
xi: dprobit atschool $xxx2 if ivoirien==1  & sex==2 [aw=pond], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (atschool) : Girls Ivoiriens) bdec(3) br 3aster append;
xi: dprobit atschool $xxx2 if ivoirien==0  & sex==2 [aw=pond], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (atschool) : Girls Non Ivoiriens) bdec(3) br 3aster append;




* Ever attend School;




*National & regional levels;
xi: dprobit everattd $xxx [aw=pond], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (everattd) : National) bdec(3) br 3aster append;
xi: dprobit everattd $xxx if rururb==1 [aw=pond], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (everattd) : Urban) bdec(3) br 3aster append;
xi: dprobit everattd $xxx if rururb==2 [aw=pond], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (everattd) : Rural) bdec(3) br 3aster append;
xi: dprobit everattd $xxx2 if ivoirien==1 [aw=pond], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (everattd) : Ivoiriens) bdec(3) br 3aster append;
xi: dprobit everattd $xxx2 if ivoirien==0 [aw=pond], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (everattd) : Non Ivoiriens) bdec(3) br 3aster append;

*Boys;
xi: dprobit everattd $xxx [aw=pond] if sex==1, robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (everattd) : Boys National) bdec(3) br 3aster append;
xi: dprobit everattd $xxx if rururb==1 & sex==1 [aw=pond], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (everattd) : Boys Urban) bdec(3) br 3aster append;
xi: dprobit everattd $xxx if rururb==2  & sex==1 [aw=pond], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (everattd) : Boys Rural) bdec(3) br 3aster append;
xi: dprobit everattd $xxx2 if ivoirien==1  & sex==1 [aw=pond], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (everattd) : Boys Ivoiriens) bdec(3) br 3aster append;
xi: dprobit everattd $xxx2 if ivoirien==0  & sex==1 [aw=pond], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (everattd) : Boys Non Ivoiriens) bdec(3) br 3aster append;


*Girls;
xi: dprobit everattd $xxx [aw=pond] if sex==2, robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (everattd) : Girls National) bdec(3) br 3aster append;
xi: dprobit everattd $xxx if rururb==1 & sex==2 [aw=pond], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (everattd) : Girls Urban) bdec(3) br 3aster append;
xi: dprobit everattd $xxx if rururb==2  & sex==2 [aw=pond], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (everattd) : Girls Rural) bdec(3) br 3aster append;
xi: dprobit everattd $xxx2 if ivoirien==1  & sex==2 [aw=pond], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (everattd) : Girls Ivoiriens) bdec(3) br 3aster append;
xi: dprobit everattd $xxx2 if ivoirien==0  & sex==2 [aw=pond], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (everattd) : Girls Non Ivoiriens) bdec(3) br 3aster append;




*Educational level;


*National & regional levels;
xi: oprobit educlev $xxx [aw=pond], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (educlev) : National) bdec(3) br 3aster append;
xi: oprobit educlev $xxx if rururb==1 [aw=pond], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (educlev) : Urban) bdec(3) br 3aster append;
xi: oprobit educlev $xxx if rururb==2 [aw=pond], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (educlev) : Rural) bdec(3) br 3aster append;
xi: oprobit educlev $xxx2 if ivoirien==1 [aw=pond], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (educlev) : Ivoiriens) bdec(3) br 3aster append;
xi: oprobit educlev $xxx2 if ivoirien==0 [aw=pond], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (educlev) : Non Ivoiriens) bdec(3) br 3aster append;

*Boys;
xi: oprobit educlev $xxx [aw=pond] if sex==1, robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (educlev) : Boys National) bdec(3) br 3aster append;
xi: oprobit educlev $xxx if rururb==1 & sex==1 [aw=pond], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (educlev) : Boys Urban) bdec(3) br 3aster append;
xi: oprobit educlev $xxx if rururb==2  & sex==1 [aw=pond], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (educlev) : Boys Rural) bdec(3) br 3aster append;
xi: oprobit educlev $xxx2 if ivoirien==1  & sex==1 [aw=pond], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (educlev) : Boys Ivoiriens) bdec(3) br 3aster append;
xi: oprobit educlev $xxx2 if ivoirien==0  & sex==1 [aw=pond], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (educlev) : Boys Non Ivoiriens) bdec(3) br 3aster append;


*Girls;
xi: oprobit educlev $xxx [aw=pond] if sex==2, robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (educlev) : Girls National) bdec(3) br 3aster append;
xi: oprobit educlev $xxx if rururb==1 & sex==2 [aw=pond], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (educlev) : Girls Urban) bdec(3) br 3aster append;
xi: oprobit educlev $xxx if rururb==2  & sex==2 [aw=pond], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (educlev) : Girls Rural) bdec(3) br 3aster append;
xi: oprobit educlev $xxx2 if ivoirien==1  & sex==2 [aw=pond], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (educlev) : Girls Ivoiriens) bdec(3) br 3aster append;
xi: oprobit educlev $xxx2 if ivoirien==0  & sex==2 [aw=pond], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (educlev) : Girls Non Ivoiriens) bdec(3) br 3aster append;



/* To be done next

*Repetition & Dropout (dprobit);
*full_time_stdnt
* CROSS TABS;
tab why_not_atschool quintile [aw=chweight],col;
tab why_not_atschool poor [aw=chweight],col;
tab type_disab poor [aw=chweight], col;

* By gender:;
sort sex;
by sex: tab why_not_atschool quintile [aw=chweight],col;
by sex: tab why_not_atschool poor [aw=chweight],col;

*/


#delimit cr


cap log close

set rmsg off
set more on
exit
