clear
set more 1
set mem 300m
set rmsg on
set matsize 400 
set seed 123456789


cd "C:\Documents and Settings\Bachir\Desktop\Bachir\World Bank\Wodon\CIV\Cote d'Ivoire Consumption\STATA"


/*


use head-spouse, replace
sort hid
save, replace

use sect01, replace
sort hid
merge hid using head-spouse
ta _mer
drop _mer


do individualvariables

compress
sort hid 

save temp, replace


use hhexp, clear
drop  homecons house hinvest hutil school internet health trcomm trschool clothing dgoods remitt  hygine entmnt domest inkind
sort hid 
compress
save hhexp1, replace

use temp, replace
merge hid using hhexp1
ta _mer
keep if _mer==3
drop _mer

save temp, replace


cap drop rururb
g rururb=milieu

cap drop wta 
g wta =pond
cap drop  _region_ _milieu_

cap drop rural
gen byte rural = cond( rururb == 1, 1, 0 )
lab var rural "dummy for rural areas"

cap drop urban
gen byte urban = 1 - rural
*gen urban = cond( rururb == 2, 1, 0)
lab var urban "dummy for urban areas"
recode literacy 2=1 3=2 
compress


cap drop pl
gen     pl = povline 
lab var pl "Poverty line"

tab2 rururb pl, m
cap drop total_pc 
g double total_pc =pchhexp

sum hhexp total_pc

cap drop ln_wm_pl 
bysort rururb hid: gen double ln_wm_pl = ln( total_pc / pl )
lab var ln_wm_pl "ln(welfare measure)"

# delimit ;
cap drop geo1 ge02 geo3 geo4 geo5;

*tab strate, gen(geo);
tab strate rururb;
recast double hhsize;
cap drop weight;
gen double(weight)=wta*hhsize;
sum weight wta hhsize;

* Note we should use h_sgl (not h_nsp) because it correspond to the same number of houses with zero spouses. ;

rename poor poor_old;
cap drop poor;
gen poor=cond(total_pc<pl,1,0) if (total_pc~=.&pl~=.) ;
cap drop lander;
ren landsz lander  /*It seems there is a bug in stata7 concerning this name; I replace landsz by lander*/;
#delimit cr

compress

sort hid
save temp, replace



use civ_inc, clear
ren idmen hid
keep hid pchhinc varpct onepct fivepct 
sort hid
save temp1.dta, replace

use temp, clear
sort hid
merge hid using temp1
ta _merge
keep if _merge==3
drop _merge

erase temp1.dta

cap drop rich
xtile rich=pchhinc , nq(5)
ta rich, m

count
save temp, replace


keep if agey<18
sort hid indid
by hid (indid): g agey2=agey^2

recode everattd 2=0
recode atschool 2=0
recode sex 2=0

compress
count
save childeduc, replace

*/

use childeduc, replace


/*
recode region 4=3 10=9 14=16
recode region 1=1 2=2 3=3 5=4 6=5 7=6 8=7 9=8 11=9 12=10 13=11 15=12 16=13 17=14 18=15 19=16
*/



recode region 4=3 9=8 10=8 11=8 15=14 16=14 18=14
recode region 1=1 2=2 3=3 5=4 6=5 7=6 8=7 12=8 13=9 14=10 17=11 19=12

#delimit;
lab def reg 1"LAGUNES" 2"ZANZAN" 3"MOYEN COMOE/AGNEBY" 4"SAVANES" 5"VALLEE DU BANDAMA" 
6"N'ZI COMOE" 7"MONTAGNES/DENGUELE/BAFING/MOYEN CAVALLY" 8"HAUT SASSANDRA" 9"BAS SASSANDRA" 
10"FROMAGER/MARAHOUE/LACS/SUD BANDAMA" 11"WORODOUGOU" 12"SUD COMOE" ;
#delimit cr
lab val region reg


#delimit;

/*;
cap lab drop region2;
lab def region2 1"LAGUNES" 2"ZANZAN" 3"MOYEN COMOE/AGNEBY"  4"SAVANES" 5"VALLEE DU BANDAMA" 
6"N'ZI COMOE" 7"MONTAGNES" 8"DENGUELE/BAFING" 9"MOYEN CAVALLY" 10"HAUT SASSANDRA" 11"BAS SASSANDRA" 
12"MARAHOUE" 13"LACS/FROMAGER" 14"WORODOUGOU" 15"SUD BANDAMA" 16"SUD COMOE";
lab values region region2;
ta region [aw=weig], m;
recode region 9=8 10=9 11=10 12=11 14=12;
cap label drop region3;
ta region [aw=weig], m;
lab def region3 1"LAGUNES" 2"ZANZAN" 3"MOYEN COMOE/AGNEBY" 4"SAVANES" 5"VALLEE DU BANDAMA" 6"N'ZI COMOE" 
7"MONTAGNES/DENGUELE/BAFING" 8"MOYEN CAVALLY" 9"HAUT SASSANDRA" 10"BAS SASSANDRA" 11"MARAHOUE/LACS/FROMAGER" 
12"WORODOUGOU";
lab val region region3;
*/;

global xxx
"       agey agey2 sex handicap
        num_bab num_bab2 num_kid num_kid2 num_ads num_ads2 num_srs num_srs2 
	  h_agey h_agey2 s_agey s_agey2
        h_fem 
	  h_prim h_sct h_lit
        l_mig_h 
        h_anim h_musl
        h_krou h_mande h_volta h_etr
	  h_com h_ag h_man h_other
	  s_prim s_sct s_lit 
        t_mig_s l_mig_s 
        s_anim s_musl
        s_krou s_mande s_volta s_etr       
	  s_com s_ag s_man s_other
	  land lander landsz2 
	  lomwater  lomelec lomtelephone 
        i.rich
	  i.region
";

global xxx2
"       agey agey2 sex handicap
        num_bab num_bab2 num_kid num_kid2 num_ads num_ads2 num_srs num_srs2 
	  h_agey h_agey2 s_agey s_agey2
        h_fem 
	  h_prim h_sct h_lit
        l_mig_h 
        h_anim h_musl
	  h_com h_ag h_man h_other
	  s_prim s_sct s_lit 
        s_anim s_musl
	  s_com s_ag s_man s_other
	  land lander landsz2 
	  lomwater  lomelec lomtelephone 
        i.rich
	  i.region
";

global xxxvars
"       agey agey2 sex handicap
        num_bab num_bab2 num_kid num_kid2 num_ads num_ads2 num_srs num_srs2 
	  h_agey h_agey2 s_agey s_agey2
        h_fem 
	  h_prim h_sct h_lit
        l_mig_h    
        h_anim h_musl
        h_krou h_mande h_volta h_etr
	  h_com h_ag h_man h_other
	  s_prim s_sct s_lit 
        t_mig_s l_mig_s       
        s_anim s_musl
        s_krou s_mande s_volta s_etr       
	  s_com s_ag s_man s_other
	  land lander landsz2 
	  lomwater  lomelec lomtelephone 
        rich region
";


cap log close;
log using "Childeductab3.log", replace;
foreach i of global xxxvars {;
  tab `i' [aw=weig], m;
  tab `i' everattd [aw=weig] , m;
  tab `i' atschool [aw=weig] , m;
  tab `i' educlev [aw=weig]  , m;
};




cap log close;
log using "DeterminantsofChildEducation3.log", replace;


***Child Education****;


*Presently at School;


*National & regional levels;
xi: dprobit atschool $xxx [aw=weight], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (atschool) : National) bdec(3) br 3aster replace;
xi: dprobit atschool $xxx if rururb==1 [aw=weight], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (atschool) : Urban) bdec(3) br 3aster append;
xi: dprobit atschool $xxx if rururb==2 [aw=weight], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (atschool) : Rural) bdec(3) br 3aster append;
xi: dprobit atschool $xxx2 if ivoirien==1 [aw=weight], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (atschool) : Ivoiriens) bdec(3) br 3aster append;
xi: dprobit atschool $xxx2 if ivoirien==0 [aw=weight], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (atschool) : Non Ivoiriens) bdec(3) br 3aster append;

*Boys;
xi: dprobit atschool $xxx [aw=weight] if sex==1, robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (atschool) : Boys National) bdec(3) br 3aster append;
xi: dprobit atschool $xxx if rururb==1 & sex==1 [aw=weight], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (atschool) : Boys Urban) bdec(3) br 3aster append;
xi: dprobit atschool $xxx if rururb==2  & sex==1 [aw=weight], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (atschool) : Boys Rural) bdec(3) br 3aster append;
xi: dprobit atschool $xxx2 if ivoirien==1  & sex==1 [aw=weight], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (atschool) : Boys Ivoiriens) bdec(3) br 3aster append;
xi: dprobit atschool $xxx2 if ivoirien==0  & sex==1 [aw=weight], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (atschool) : Boys Non Ivoiriens) bdec(3) br 3aster append;


*Girls;
xi: dprobit atschool $xxx [aw=weight] if sex==0, robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (atschool) : Girls National) bdec(3) br 3aster append;
xi: dprobit atschool $xxx if rururb==1 & sex==0 [aw=weight], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (atschool) : Girls Urban) bdec(3) br 3aster append;
xi: dprobit atschool $xxx if rururb==2  & sex==0 [aw=weight], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (atschool) : Girls Rural) bdec(3) br 3aster append;
xi: dprobit atschool $xxx2 if ivoirien==1  & sex==0 [aw=weight], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (atschool) : Girls Ivoiriens) bdec(3) br 3aster append;
xi: dprobit atschool $xxx2 if ivoirien==0  & sex==0 [aw=weight], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (atschool) : Girls Non Ivoiriens) bdec(3) br 3aster append;




* Ever attend School;




*National & regional levels;
xi: dprobit everattd $xxx [aw=weight], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (everattd) : National) bdec(3) br 3aster append;
xi: dprobit everattd $xxx if rururb==1 [aw=weight], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (everattd) : Urban) bdec(3) br 3aster append;
xi: dprobit everattd $xxx if rururb==2 [aw=weight], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (everattd) : Rural) bdec(3) br 3aster append;
xi: dprobit everattd $xxx2 if ivoirien==1 [aw=weight], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (everattd) : Ivoiriens) bdec(3) br 3aster append;
xi: dprobit everattd $xxx2 if ivoirien==0 [aw=weight], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (everattd) : Non Ivoiriens) bdec(3) br 3aster append;

*Boys;
xi: dprobit everattd $xxx [aw=weight] if sex==1, robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (everattd) : Boys National) bdec(3) br 3aster append;
xi: dprobit everattd $xxx if rururb==1 & sex==1 [aw=weight], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (everattd) : Boys Urban) bdec(3) br 3aster append;
xi: dprobit everattd $xxx if rururb==2  & sex==1 [aw=weight], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (everattd) : Boys Rural) bdec(3) br 3aster append;
xi: dprobit everattd $xxx2 if ivoirien==1  & sex==1 [aw=weight], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (everattd) : Boys Ivoiriens) bdec(3) br 3aster append;
xi: dprobit everattd $xxx2 if ivoirien==0  & sex==1 [aw=weight], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (everattd) : Boys Non Ivoiriens) bdec(3) br 3aster append;


*Girls;
xi: dprobit everattd $xxx [aw=weight] if sex==0, robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (everattd) : Girls National) bdec(3) br 3aster append;
xi: dprobit everattd $xxx if rururb==1 & sex==0 [aw=weight], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (everattd) : Girls Urban) bdec(3) br 3aster append;
xi: dprobit everattd $xxx if rururb==2  & sex==0 [aw=weight], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (everattd) : Girls Rural) bdec(3) br 3aster append;
xi: dprobit everattd $xxx2 if ivoirien==1  & sex==0 [aw=weight], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (everattd) : Girls Ivoiriens) bdec(3) br 3aster append;
xi: dprobit everattd $xxx2 if ivoirien==0  & sex==0 [aw=weight], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (everattd) : Girls Non Ivoiriens) bdec(3) br 3aster append;




*Educational level;


*National & regional levels;
xi: oprobit educlev $xxx [aw=weight], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (educlev) : National) bdec(3) br 3aster append;
xi: oprobit educlev $xxx if rururb==1 [aw=weight], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (educlev) : Urban) bdec(3) br 3aster append;
xi: oprobit educlev $xxx if rururb==2 [aw=weight], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (educlev) : Rural) bdec(3) br 3aster append;
xi: oprobit educlev $xxx2 if ivoirien==1 [aw=weight], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (educlev) : Ivoiriens) bdec(3) br 3aster append;
xi: oprobit educlev $xxx2 if ivoirien==0 [aw=weight], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (educlev) : Non Ivoiriens) bdec(3) br 3aster append;

*Boys;
xi: oprobit educlev $xxx [aw=weight] if sex==1, robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (educlev) : Boys National) bdec(3) br 3aster append;
xi: oprobit educlev $xxx if rururb==1 & sex==1 [aw=weight], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (educlev) : Boys Urban) bdec(3) br 3aster append;
xi: oprobit educlev $xxx if rururb==2  & sex==1 [aw=weight], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (educlev) : Boys Rural) bdec(3) br 3aster append;
xi: oprobit educlev $xxx2 if ivoirien==1  & sex==1 [aw=weight], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (educlev) : Boys Ivoiriens) bdec(3) br 3aster append;
xi: oprobit educlev $xxx2 if ivoirien==0  & sex==1 [aw=weight], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (educlev) : Boys Non Ivoiriens) bdec(3) br 3aster append;


*Girls;
xi: oprobit educlev $xxx [aw=weight] if sex==0, robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (educlev) : Girls National) bdec(3) br 3aster append;
xi: oprobit educlev $xxx if rururb==1 & sex==0 [aw=weight], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (educlev) : Girls Urban) bdec(3) br 3aster append;
xi: oprobit educlev $xxx if rururb==2  & sex==0 [aw=weight], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (educlev) : Girls Rural) bdec(3) br 3aster append;
xi: oprobit educlev $xxx2 if ivoirien==1  & sex==0 [aw=weight], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (educlev) : Girls Ivoiriens) bdec(3) br 3aster append;
xi: oprobit educlev $xxx2 if ivoirien==0  & sex==0 [aw=weight], robust iterate(100) ;
outreg using childeduc.xls, ctitle(Ordered Probit of determinants of Child education (educlev) : Girls Non Ivoiriens) bdec(3) br 3aster append;



/* To be done next

*Repetition & Dropout (dprobit);
*full_time_stdnt
* CROSS TABS;
tab why_not_atschool quintile [aw=chweight],col;
tab why_not_atschool poor [aw=chweight],col;
tab type_disab poor [aw=chweight], col;

* By gender:;
sort sex;
by sex: tab why_not_atschool quintile [aw=chweight],col;
by sex: tab why_not_atschool poor [aw=chweight],col;

*/


#delimit cr

su $xxxvars
corr $xxxvars

cap log close
set rmsg off
set more on
exit
