/*===============================================================================

                           Infrastructure and POverty
				Request by Vivian Foster

                                        Gaston Gohou
                                        November 2004

THis code estimates the  aggregate household expenditure in LCU (FCFA).
It also calculates the minimum, maximum and mean level of aggregate household expenditure 
	by quintile, decile and percentile at the national level, and also by urban and rural areas..

  ================================================================================= */

version 8.0
clear
capture log close
log using "Q:\My Documents\AfrPRSP\Survey\CIV\EP2002\Data\STATA\logfiles\civ02_inf&pov_res.txt", replace text 
set more off
set mem 32m
set matsize 800

log on

use "Q:\My Documents\AfrPRSP\Survey\Civ\EP2002\Data\stata\pauvre.dta",  replace

keep grappe menord hhsize hhexp  _milieu_ strate pond  pauv 
rename _milieu_ rururb
generate grappen = real(grappe)
generate menordn = real(menord)

gen idmen = grappen*100 + menordn

replace pauv=0 if pauv==.
label define  pauvl 1 poor 0 nopoor
label value pauv pauvl
  
order idmen pond  pauv hhexp rururb hhsize strate grappe menord  grappen menordn 
sort idmen
save "Q:\My Documents\AfrPRSP\Survey\Civ\EP2002\Data\stata\datafiles\infPov.dta",  replace

/*setting the survey data for tables*/
svyset [pweight=pond], strata (strate) psu(idmen) clear(all)

/*Generate Percentile, decile and quintile based on household observation*/
sort hhexp
xtile percentile = hhexp [pweight=pond], nq(100)
xtile decile = hhexp [pweight=pond], nq(10)
xtile quintile = hhexp [pweight=pond], nq(5)

/*Generate tables national level*/
bys quintile: sum hhexp
bys decile: sum hhexp
bys percentile: sum hhexp

/*Generate tables urban level*/
bys quintile: sum hhexp if rururb=="RURAL"
bys decile: sum hhexp if rururb=="RURAL"
bys percentile: sum hhexp if rururb=="RURAL"


/*Generate tables rural level*/

bys quintile: sum hhexp if rururb=="URBAIN"
bys decile: sum hhexp  if rururb=="URBAIN"
bys percentile: sum hhexp  if rururb=="URBAIN"

log off
capture log close
exit



