clear
set mem 100m
set matsize 300
set more 1

*! Author: Amadou Bassirou DIALLO
*AFTP, The World Bank, Washington
*CERDI, University of Auvergne.


*******************************************************************
***This file takes the new Cote d'Ivoire Household Survey (2002)***
***and tabulate objective and subjective poverty*******************
*******************************************************************

cd "O:\QWodon\Bachir DIALLO\Employment_Consumption_Poverty\Other surveys\Donnes\STATA"

cap log close
log using fpoor2.log, replace

*First , merging the datasets so that I can have an identification for head

use sect01, clear
keep grappe menord hid indid s1q4
compress
sort grappe menord hid indid
save relat, replace

use sect11a, clear
sort grappe menord hid indid
merge grappe menord hid indid using relat
ta _m, m
drop _m
sort grappe menord hid
save relat, replace


use pauvre, clear
sort hid
by hid: replace pauv=0 if pauv==.
sort grappe menord hid
merge grappe menord hid using relat
ta _merge, m
drop _merge
save relat, replace
sort hid indid s11aq2

/*dups hid indid, drop
count*/

g weight=pond*hhsize

recode s11aq6 2=0 if s11aq6~=.
cap drop feel_poor
g feel_poor=cond(s11aq6==1, 1, 0) if s11aq6~=.
ta feel_poor, m
ta feel_poor [aw=weight], m
ta feel_poor pauv
ta feel_poor pauv [aw=weight]
drop feel_poor




/*Second doing the analysis at individual level by taking only 2 or 3 pbs*/

preserve
sort s11aq2
collapse (sum) s11aq6 (mean) weight pauv hid, by (indid)
ta s11aq6, m

sort hid
by hid: g pb3=cond(s11aq6<4, 1, 0)
ta pb3, m
ta pb3 [aw=weight], m
ta pauv pb3 , m
ta pauv pb3 [aw=weight], m

restore


/*Second, doing the analysis at the household level: I keep the heads*/

preserve

ta s1q4, m
sort hid indid s11aq2
keep if s1q4==1     /*Keeping the heads */
count
recode s11aq6 2=0 if s11aq6~=.
sort s11aq2
collapse (sum) s11aq6 (mean) weight pauv hid, by (indid)
ta s11aq6, m

sort hid
by hid: g pbh3=cond(s11aq6<4, 1, 0)
ta pbh3, m
ta pbh3 [aw=weight], m
ta pauv pbh3 , m
ta pauv pbh3 [aw=weight], m

restore


log close
exit




