clear
set more 1
set mem 1000m
set rmsg on
set matsize 400 
set seed 123456789


cd "C:\Documents and Settings\Bachir\Desktop\Bachir\World Bank\Wodon\CIV\Cote d'Ivoire Consumption\STATA"

cap log close
log using "IndividualMerging.log", replace


use head-spouse, replace
count
sort hid
save, replace

use sect01, replace
count
sort hid
merge hid using head-spouse
ta _mer
drop _mer


do individualvariables

compress
sort hid 

save temp, replace


use hhexp, clear
count
*drop  homecons house hinvest hutil school internet health trcomm trschool clothing dgoods remitt  hygine entmnt domest inkind
sort hid 
compress
save hhexp1, replace

use temp, replace
count
merge hid using hhexp1
ta _mer
keep if _mer==3
drop _mer

save temp, replace


cap drop rururb
g rururb=milieu

cap drop wta 
g wta =pond
cap drop  _region_ _milieu_

cap drop rural
gen byte rural = cond( rururb == 1, 1, 0 )
lab var rural "dummy for rural areas"

cap drop urban
gen byte urban = 1 - rural
*gen urban = cond( rururb == 2, 1, 0)
lab var urban "dummy for urban areas"
recode literacy 2=1 3=2 
compress


cap drop pl
gen     pl = povline 
lab var pl "Poverty line"

tab2 rururb pl, m
cap drop total_pc 
g double total_pc =pchhexp

sum hhexp total_pc

cap drop ln_wm_pl 
bysort rururb hid: gen double ln_wm_pl = ln( total_pc / pl )
lab var ln_wm_pl "ln(welfare measure)"

# delimit ;
cap drop geo1 ge02 geo3 geo4 geo5;

*tab strate, gen(geo);
tab strate rururb;
recast double hhsize;
cap drop weight;
gen double(weight)=wta*hhsize;
sum weight wta hhsize;

* Note we should use h_sgl (not h_nsp) because it correspond to the same number of houses with zero spouses. ;

rename poor poor_old;
cap drop poor;
gen poor=cond(total_pc<pl,1,0) if (total_pc~=.&pl~=.) ;
cap drop lander;
ren landsz lander  /*It seems there is a bug in stata7 concerning this name; I replace landsz by lander*/;
#delimit cr

compress

sort hid
count
save temp, replace



use civ_inc, clear
count
*ren idmen hid
keep hid pchhinc varpct onepct fivepct 
sort hid
save temp1, replace

use temp, clear
count
sort hid
merge hid using temp1
ta _merge
keep if _merge==3
drop _merge

*erase temp1

cap drop rich
xtile rich=pchhinc , nq(5)
ta rich, m

count
sort hid
save individual, replace


use sect02 , replace
count
sort hid
save, replace
use individual, replace
count
sort hid
merge hid using sect02
ta _merge
drop _merge
sort hid
compress
count
save, replace

use sect03a , replace
count
sort hid
save, replace
use individual, replace
count
sort hid
merge hid using sect03a 
ta _merge
drop _merge
sort hid
compress
count
save, replace


use sect03b1 , replace
count
sort hid
save, replace
use individual, replace
count
sort hid
merge hid using sect03b1
ta _merge
drop _merge
sort hid
compress
count
save, replace

use sect03b2, replace
count
sort hid
save, replace
use individual, replace
count
sort hid
merge hid using sect03b2
count
ta _merge
drop _merge
sort hid
compress
count
save, replace

use sect04a, replace
count
sort hid
save, replace
use individual, replace
count
sort hid
merge hid using sect04a
ta _merge
drop _merge
sort hid
compress
save, replace

use sect04b, replace
count
sort hid
save, replace
use individual, replace
count
sort hid
merge hid using sect04b
ta _merge
drop _merge
sort hid
compress
count
save, replace

use sect05a , replace
count
sort hid
save, replace
use individual, replace
count
sort hid
merge hid using sect05a
ta _merge
drop _merge
sort hid
compress
count
save, replace


use sect05b, replace
count
sort hid
save, replace
use individual, replace
count
sort hid
merge hid using sect05b
ta _merge
drop _merge
sort hid
compress
count
save, replace

use sect06a, replace
count
sort hid
save, replace
use individual, replace
count
sort hid
merge hid using sect06a
ta _merge
drop _merge
sort hid
compress
count
save, replace

use sect06b, replace
count
sort hid
save, replace
use individual, replace
count
sort hid
merge hid using sect06b
ta _merge
drop _merge
sort hid
compress
count
save, replace

use sect07, replace
count
sort hid
save, replace
use individual, replace
count
sort hid
merge hid using sect07
ta _merge
drop _merge
sort hid
compress
count
save, replace

use sect08a, replace
count
sort hid
save, replace
use individual, replace
count
sort hid
merge hid using sect08a
ta _merge
drop _merge
sort hid
compress
count
save, replace

use sect08b, replace
count
sort hid
save, replace
use individual, replace
count
sort hid
merge hid using sect08b
ta _merge
drop _merge
sort hid
compress
count
save, replace

use sect08c, replace
count
sort hid
save, replace
use individual, replace
count
sort hid
merge hid using sect08c
ta _merge
drop _merge
sort hid
compress
count
save, replace

use sect08d, replace
count
sort hid
save, replace
use individual, replace
count
sort hid
merge hid using sect08d
ta _merge
drop _merge
sort hid
compress
count
save, replace

use sect08e, replace
count
sort hid
save, replace
use individual, replace
count
sort hid
merge hid using sect08e
ta _merge
drop _merge
sort hid
compress
count
save, replace

use sect08f , replace
count
sort hid
save, replace
use individual, replace
count
sort hid
merge hid using sect08f
ta _merge
drop _merge
sort hid
compress
count
save, replace

use sect08g, replace
count
sort hid
save, replace
use individual, replace
count
sort hid
merge hid using sect08g
ta _merge
drop _merge
sort hid
compress
count
save, replace

use sect08h, replace
count
sort hid
save, replace
use individual, replace
count
sort hid
merge hid using sect08h
ta _merge
drop _merge
sort hid
compress
count
save, replace

use sect09, replace
count
sort hid
save, replace
use individual, replace
count
sort hid
merge hid using sect09
ta _merge
drop _merge
sort hid
compress
count
save, replace

use sect10a, replace
count
sort hid
save, replace
use individual, replace
count
sort hid
merge hid using sect10a
ta _merge
drop _merge
sort hid
compress
count
save, replace

use sect10b, replace
count
sort hid
save, replace
use individual, replace
count
sort hid
merge hid using sect10b
ta _merge
drop _merge
sort hid
compress
count
save, replace

use sect11a, replace
count
sort hid
save, replace
use individual, replace
count
sort hid
merge hid using sect11a
ta _merge
drop _merge
sort hid
compress
count
save, replace

use sect11b, replace
count
sort hid
save, replace
use individual, replace
count
sort hid
merge hid using sect11b
ta _merge
drop _merge
sort hid
compress
count
save, replace

use sect11c, replace
count
sort hid
save, replace
use individual, replace
count
sort hid
merge hid using sect11c
ta _merge
drop _merge
sort hid
compress
count
save, replace

use sect12a, replace
count
sort hid
save, replace
use individual, replace
count
sort hid
merge hid using sect12a
ta _merge
drop _merge
sort hid
compress
count
save, replace

use sect12b, replace
count
sort hid
save, replace
use individual, replace
count
sort hid
merge hid using sect12b
ta _merge
drop _merge
sort hid
compress
count
save, replace

use pauvre, replace
count
sort hid
save, replace
use individual, replace
count
sort hid
merge hid using pauvre
ta _merge
drop _merge
sort hid
compress
count
save, replace

use hhexp, replace
count
sort hid
save, replace
use individual, replace
count
sort hid
merge hid using hhexp
ta _merge
drop _merge
sort hid
compress
count
save, replace


cap log close



log using "Tabulations.log", replace

use individual, replace


*Education

tab rich atschool [aw=weight], col row  nofreq

table rich atschool sex [aw=weight], col row  

table rich sex [aw=weight],  c(mean atschool) f(%8.2f)

*tab rich time_to_pschool [aw=weight],  col row  nofreq

*table rich time_to_pschool sex [aw=weight], col row  

*tab rich time_to_sschool [aw=weight],  col row  nofreq 

*table rich time_to_sschool sex [aw=weight],  col row   f(%8.2f)

tab literacy sex [aw=weight], col row  

tab literacy sex [aw=weight], col row  nofreq

table rich sex [aw=weight], col row c(mean literacy)  f(%8.2f)

table milieu sex [aw=weight], col row c(mean literacy) f(%8.2f)

table sex milieu [aw=weight], col row c(mean literacy) f(%8.2f)

tab sex schltyp [aw=weight], col row  nofreq

table sex milieu schltyp [aw=weight], col row 

*tab no_problem schltyp [aw=weight], col row 

tab sex schltyp [aw=weight], col row  nofreq

*table sex schltyp [aw=weight], col row c(mean no_problem) f(%8.2f)

*table rich schltyp [aw=weight], col row c(mean no_problem) f(%8.2f)

tab sex schltyp [aw=weight], col row  nofreq

*table sex schltyp [aw=weight], col row c(mean no_problem) f(%8.2f)

tab no_books schltyp [aw=weight], col row  nofreq

*table rich schltyp [aw=weight], col row c(mean no_books) f(%8.2f)

*tab bc_work sex [aw=weight], col row  nofreq

*table rich sex [aw=weight], col row c(mean bc_work) f(%8.2f)

*tab rich too_far [aw=weight],  col row  nofreq

*table rich sex [aw=weight], col row c(mean too_old_compl) f(%8.2f)

*tab rich not_inter [aw=weight],  col row  nofreq

*tab sex not_inter [aw=weight], col row  nofreq

*table rich sex [aw=weight], col row c(mean not_inter) f(%8.2f)

*tab rich ill_preg [aw=weight],  col row  nofreq

*tab rich failed_exam  [aw=weight],  col row  nofreq

*tab sex failed_exam [aw=weight],  col row  nofreq
      
*table rich sex [aw=weight], col row c(mean failed_exam) f(%8.2f)

*tab rich got_married [aw=weight],  col row  nofreq

*tab sex got_married [aw=weight], col row  nofreq

*table rich sex [aw=weight], col row c(mean got_married) f(%8.2f)


*Health 

*tab rich time_to_hosp [aw=weight],  col row  nofreq

tab milieu time_to_hosp [aw=weight], col row  nofreq

tab rich morbid [aw=weight],  col row  nofreq

tab milieu rich  [aw=weight],  col row  nofreq

table rich milieu [aw=weight], col row c(mean morbid) f(%8.2f)

tab rich fever_malaria [aw=weight],  col row  nofreq

tab rich diarrhea [aw=weight],  col row  nofreq

tab diarrhea time_to_watersource [aw=weight],  col row  nofreq

table rich time_to_watersource [aw=weight], col row c(mean diarrhea) f(%8.2f)

tab rich acci_injury [aw=weight],  col row  nofreq

tab rich dental [aw=weight],  col row  nofreq

tab rich skin [aw=weight],  col row  nofreq

tab rich eye [aw=weight],  col row  nofreq

tab rich ear_nose_throat [aw=weight],  col row  nofreq

tab rich rtreatm [aw=weight],  col row  nofreq

table rich sex [aw=weight], col row c(mean rtreatm) f(%8.2f)

tab rich hprovide [aw=weight],  col row  nofreq

tab sex hprovide [aw=weight], col row  nofreq

tab naissances s_lit [aw=weight], col row  nofreq

table rich naissances [aw=weight], col row c(mean s_lit) f(%8.2f)

table rich naissances [aw=weight], col row c(mean s_prim) f(%8.2f)

tab prenatal s_lit [aw=weight], col row  nofreq

tab prenatal s_prim [aw=weight], col row  nofreq

tab rich prenatal [aw=weight],  col row  nofreq

table rich prenatal [aw=weight], col row c(mean s_lit) f(%8.2f)

table rich prenatal [aw=weight], col row c(mean s_prim) f(%8.2f)

tab rich no_need_care [aw=weight],  col row  nofreq

tab rich too_far_care [aw=weight],  col row  nofreq

tab prenatal s_job [aw=weight], col row  nofreq

tab rich no_need_care [aw=weight],  col row  nofreq

tab rich too_far_care [aw=weight],  col row  nofreq

tab prenatal s_job [aw=weight], col row  nofreq

tab rich no_need_care [aw=weight],  col row  nofreq

tab rich too_far_care [aw=weight],  col row  nofreq

tab prenatal s_job [aw=weight], col row  nofreq

tab rich times_use_svs [aw=weight],  col row  nofreq

tab rich too_exp_health [aw=weight],  col row  nofreq

tab rich too_far_care [aw=weight],  col row  nofreq

tab rich facil_not_clean [aw=weight],  col row  nofreq


*Infrastructure

tab rich time_to_foodmkt [aw=weight],  col row  nofreq

tab rich time_to_watersource [aw=weight],  col row  nofreq












cap log close
set rmsg off
set more on
exit
