* ====================================================
* POLYGAMMES.SPS: DECOUVRIR LES MENAGES POLYGAMMES
* ====================================================


cd "C:\Documents and Settings\Bachir\Desktop\Bachir\World Bank\Wodon\CIV\Cote d'Ivoire Consumption\STATA"

cap log close
log using poly.log, replace

use ind1, clear

gen temp=sex if relat==1
egen sexh=sum(temp), by (hid)

keep if relat<=2
gen spouse=1 if relat==2
gen head=1 if relat==1
sort hid
egen nspouse=sum(spouse), by(hid)
egen nhead=sum(head), by(hid)

* There are 33 spouses younger than 10 years old ! 
* Also, some of them are male heads reporting to have a male spouse - delete!! (34 obs)

drop if sexh==1&nspouse>1&nspouse~=.&relat==2&sex==1
drop if nspouse>1&nspouse~=.&relat==2&age<10

collapse (mean) nspouse nhead, by(hid)
tab nspouse
tab nhead
sort hid 
merge hid using ind1
tab _merge
drop _merge nhead

replace marstat=3 if marstat==2&(nspouse>1&nspouse~=.)
tab marstat
sort hid indid
save ind2, replace
	
log close