clear
set mem 100m
set more 1

cd "O:\QWodon\Bachir DIALLO\Employment_Consumption_Poverty\Other surveys\Donnes\STATA"


/*
#delimit;
local datas "sect01 sect02 sect03a sect03b1 sect03b2
sect04a sect04b sect05a sect05b sect06a sect06b sect07
sect08a sect08b sect08c      
sect08d sect08e sect08f sect08g
sect08h sect09 sect10a sect10b sect11a sect11b sect11c 
sect12a sect12b hhexp pauvre ";


local datas2 "hhexp sect08d sect08e sect08f sect08g
sect08h sect09 sect10a sect10b sect11a sect11b sect11c 
sect12a sect12b";
#delimit cr



/********************************************************************************
Merging all the datasets in a big one"
********************************************************************************/
*log using "Merge.log", replace
* Merge option
foreach v of local datas {
             use `v'
             replace menord="04" if menord=="4"
             encode grappe, gen(grap)
             encode menord, gen(menor)
             cap drop hid
             g hid=(grap*100)+menor
             sort hid
             by hid: g n=_n
             cap drop indid
             bysort hid: g indid=(hid*100)+n
             drop n
             sort grappe menord hid indid
             compress
             save, replace
}








/*
foreach file in `datas' {
             merge grap menor hid using `file'
             tab _merge
             drop _merge
             sort grap menor hid
             compress
             save "C:\Documents and settings\wb235844.WB\Desktop\Other surveys\Donnes\STATA\final", replace
}
foreach v of local datas2 {
             use `v'
             cap drop grap
             encode grappe, gen(grap)
             cap drop menor
             encode menord, gen(menor)
             cap drop hid
             g hid=(grap*100)+menor
             sort grap menor hid
             compress
             save, replace
}



foreach file in `datas' {
             merge grap menor hid using `file'
             tab _merge
             drop _merge
             sort grap menor hid
             compress
             save "C:\Documents and settings\wb235844.WB\Desktop\Other surveys\Donnes\STATA\final2", replace
}
log close




*Append option

log using "Append.log", replace
foreach file in `datas' {
            use `file', clear
            append using "`file'"
            save "C:\Documents and settings\wb235844.WB\Desktop\Other surveys\Donnes\STATA\final", replace
    }
log close


*/


*/

cap log close
log using "Povertycheck.log", replace
use pauvre, clear
cap drop weight
g weight=pond*hhsize

/*It seems they use the pchhexp variable to compute their poverty*/
/*let's check it*/
cap drop hcount2
g hcount2=1 if pchhexp<povline
ta hcount2
ta pauv
*BINGO


sort hhexp
cap drop phhexp 
g phhexp=hhexp/hhsize /*per capita hhexp*/

/*This is the headcount ratio*/

cap drop hcount
g hcount=1 if pchhexp<povline
replace hcount=0 if pchhexp>=povline

ta hcount [aw=weight]
ta pauv [aw=weight]
ta hcount pauv [aw=weight]
ta strate pauv [aw=weight]
ta strate hcount [aw=weight]
ta sexhead pauv [aw=weight]
ta sexhead hcount  [aw=weight]

*Here I compute different measures of poverty (I choose the first poverty line: povline)

cap drop gap severity watts
g gap=hcount*100*(povline-pchhexp)/povline/*Incidence*/
g severity=hcount*100*((povline-phhexp)/povline)^2 /*Severite*/
g watts=hcount*100*(ln(povline)-ln(pchhexp)) /*Profondeur*/
sum phhexp pchhexp hhexp hcount gap severity watts 
sum phhexp pchhexp hhexp hcount gap severity watts [aw=weight]
sum phhexp pchhexp hhexp hcount gap severity watts [aw=pond]

/*check if this is true*/

palpha phhexp hhsize povline
palpha pchhexp hhsize povline



/*Checking the contribution of each strate to national poverty*/

sort strate
cap drop n sumn maxsumn contrib

*** Using pauv
di ""
di "Using pauv"
cap drop ne
by strate: g ne=1 if pauv==1 & pauv~=.
by strate: g sumn=sum(ne)
by strate: egen maxsumn=max(sumn)
replace maxsumn=. if ne==.
by strate: g contrib=(maxsumn/3184)*100
lab var contrib "Contribution en % des strates a la pauvrete"
ta contrib
ta contrib [aw=weight]
ta contrib [aw=pond]
cap drop n sumn maxsumn contrib

*** Using hcount
di ""
di "Using hcount"
cap drop ne
by strate: g ne=1 if hcount==1 & hcount~=.
by strate: g sumn=sum(ne)
by strate: egen maxsumn=max(sumn)
replace maxsumn=. if ne==.
by strate: g contrib=(maxsumn/3184)*100
lab var contrib "Contribution en % des strates a la pauvrete"
ta contrib
ta contrib [aw=weight]
ta contrib [aw=pond]

/*Checking the contribution to national poverty by strate and sex of head of household */

cap drop n sumn maxsumn contrib
*** Using pauv
di ""
di "Using pauv"
sort sexhead
cap drop ne
by sexhead: g ne=1 if pauv==1 & pauv~=.
by sexhead: g sumn=sum(ne)
by sexhead: egen maxsumn=max(sumn)
replace maxsumn=. if ne==.
by sexhead: g contrib=(maxsumn/3184)*100
by sexhead: g contribm=(maxsumn/3184)*100 if sexhead==1
by sexhead: g contribw=(maxsumn/3184)*100 if sexhead==2
replace contribw=contribw/contribw[_N]
lab var contrib "Contribution en % a la pauvrete selon lexe et la strate"
ta contrib
ta contrib [aw=weight]
ta contrib [aw=pond]
ta contribm [aw=weight]
ta contribw [aw=weight]
cap drop n sumn maxsumn contrib

*** Using hcount
di ""
di "Using hcount"
cap drop ne
by sexhead: g ne=1 if hcount==1 & hcount~=.
by sexhead: g sumn=sum(ne)
by sexhead: egen maxsumn=max(sumn)
replace maxsumn=. if ne==.
by sexhead: g contrib=(maxsumn/3184)*100
lab var contrib "Contribution en % a la pauvrete selon lexe et la strate"
ta contrib
ta contrib [aw=weight]
ta contrib [aw=pond]

/*Do not seems to produce their results: have to check why later (need perhaps to make correction with
prices or their deflator
I will try this tomorrow and make comments
*/










/*Graphing the lorenz curve*/
sort pchhexp 
cap drop cumy cump
g cumy=sum(pchhexp *pond)
g cump=sum(pond)
qui replace cumy=cumy/cumy[_N]
qui replace cump=cump/cump[_N]
sort pchhexp 
graph cumy cump cump, c(ll) s(..) xlabel(0, .2, .4, .6, .8, 1) border saving(lorenz, replace)





/*Other studies*/
cap drop pchhexpcdf
cumul pchhexp , gen (pchhexpcdf)
lab var pchhexpcdf "Cumulative distribution of pchhexp"
lab var pchhexp "Per capita total expenditure"
graph pchhexpcdf pchhexp , ylabel(0, .2, .4, .6, .8, 1) border saving(cdf, replace)
cap drop weight
gen weight=pond*hhsize
table strate [pweight=weight], c(mean pchhexp )





/*Checking measurement errors*/
cap drop mu pchhexp_n1
sum pchhexp [aw=weight]
gen mu=r(sd)*invnorm(uniform())/10
gen pchhexp_n1=pchhexp +mu
su pchhexp_n1






/*First Prder Stochastic Dominance measure*/
preserve
keep if strate==1
sort pchhexp
cap drop cump1
gen cump1=sum(weight)
replace cump1=cump1/cump1[_N]
cap drop intcump1
gen intcump1=sum(cump1)
keep cump1 pchhexp intcump1
lab var intcump1 "Abidjan"
lab var cump1 "Abidjan"
save temp, replace
restore
preserve
keep if strate==2
sort pchhexp
cap drop cump2
gen cump2=sum(weight)
replace cump2=cump2/cump2[_N]
gen intcump2=sum(cump2)
keep cump2 pchhexp intcump2
lab var cump2 "Autres Villes"
lab var intcump2 "Autres Villes"
append using temp
save temp, replace
restore
preserve
keep if strate==3
sort pchhexp
cap drop cump3
gen cump3=sum(weight)
replace cump3=cump3/cump3[_N]
gen intcump3=sum(cump3)
keep cump3 pchhexp intcump3
lab var cump3 "Foret Rurale Est"
lab var intcump3 "Foret Rurale Est"
append using temp
save temp, replace
restore
preserve
keep if strate==4
sort pchhexp
cap drop cump4
gen cump4=sum(weight)
replace cump4=cump4/cump4[_N]
gen intcump4=sum(cump4)
keep cump4 pchhexp intcump4
lab var cump4 "Foret Rurale Ouest"
lab var intcump4 "Foret Rurale Ouest"
append using temp
save temp, replace
restore
preserve
keep if strate==5
sort pchhexp
cap drop cump5
gen cump5=sum(weight)
replace cump5=cump5/cump5[_N]
gen intcump5=sum(cump5)
keep cump5 pchhexp intcump5
lab var cump5 "Savane Rurale"
lab var intcump5 "Savane Rurale"
append using temp
save temp, replace
graph cump1 cump2 cump3 cump4 cump5 pchhexp xla() yla()









/*Does one distribution dominate another one?*/
graph intcump1 intcump2 intcump3 intcump4 intcump5 pchhexp xla() yla(), saving(dist, replace)
restore






/*conducting Second Order Dominance Stochastic tests*/
preserve
keep if strate==1
fgt pchhexp hhsize povline 0
scalar D1 = $D1
scalar VD1 = $VD1
restore
preserve
keep if strate==2
fgt pchhexp hhsize povline 0
scalar D2 = $D1
scalar VD2 = $VD1
restore
scalar tstat12 = (D1-D2)/sqrt(VD1+VD2)
display tstat12
sum pchhexp , detail
scalar zmax = r(p50)
preserve
keep if strate==1
keep pchhexp hhsize
rename pchhexp pcexp1
rename hhsize hhsize1
save c:\temp\temp, replace
restore
preserve
keep if strate==2
keep pchhexp hhsize
merge using c:\temp\temp
dom pcexp1 hhsize1 pchhexp hhsize zmax 40
restore
preserve
keep if strate==3
fgt pchhexp hhsize povline 0
scalar D2 = $D1
scalar VD2 = $VD1
restore
scalar tstat12 = (D1-D2)/sqrt(VD1+VD2)
display tstat12
sum pchhexp , detail
scalar zmax = r(p50)
preserve
keep if strate==1
keep pchhexp hhsize
rename pchhexp pcexp1
rename hhsize hhsize1
save c:\temp\temp, replace
restore
preserve
keep if strate==3
keep pchhexp hhsize
merge using c:\temp\temp
dom pcexp1 hhsize1 pchhexp hhsize zmax 40
restore
preserve
keep if strate==4
fgt pchhexp hhsize povline 0
scalar D2 = $D1
scalar VD2 = $VD1
restore
scalar tstat12 = (D1-D2)/sqrt(VD1+VD2)
display tstat12
sum pchhexp , detail
scalar zmax = r(p50)
preserve
keep if strate==1
keep pchhexp hhsize
rename pchhexp pcexp1
rename hhsize hhsize1
save c:\temp\temp, replace
restore
preserve
keep if strate==4
keep pchhexp hhsize
merge using c:\temp\temp
dom pcexp1 hhsize1 pchhexp hhsize zmax 40
restore
preserve
keep if strate==5
fgt pchhexp hhsize povline 0
scalar D2 = $D1
scalar VD2 = $VD1
restore
scalar tstat12 = (D1-D2)/sqrt(VD1+VD2)
display tstat12
sum pchhexp , detail
scalar zmax = r(p50)
preserve
keep if strate==1
keep pchhexp hhsize
rename pchhexp pcexp1
rename hhsize hhsize1
save c:\temp\temp, replace
restore
preserve
keep if strate==5
keep pchhexp hhsize
merge using c:\temp\temp
dom pcexp1 hhsize1 pchhexp hhsize zmax 40
restore

log close




set more on 
exit







/*
cap log close
log using "Description.log", replace


foreach v of local datas {
             use `v'
             di ""
             di " I use `v' data to perform descriptive statistics"
             des
             sum
             codebook
}
foreach v of local datas2 {
             use `v'
             di ""
             di " I use `v' data to perform descriptive statistics"
             des
             sum
             codebook
}

log close
*/









