clear
set more 1
set mem 100m
set matsize 800
set seed 123456789
cap log close

cd "C:\Documents and settings\wb235844.WB\Desktop\Nigeria"

log using "C:\Documents and settings\wb235844.WB\Desktop\Nigeria\Cox.log", replace

local pays "ngkr41rt"

foreach v of local pays {
                use `v', clear
                do variable.do
                keep   caseid v000 v001 v002 v003 bord bidx religion christ_anim  musul m_work m_whome survey-cid
                save kid, replace
                compress
}


                use kid, clear
                #delimit;


                xi:cox i.sexenf /*i.intervnais i.ordrenais */ intv intv2 bord bord2 i.taille 
                /*educ0 educ1*/ i.educmere  i.sexf /*ageme ageme2*/ i.agemeren i.polygamie 
                /*i.accouchstaff*/ i.accouchpl /*lombmi educm0 educm1 i.educmari agepe agepe2 
                i.m_cash*/ i.m_work i.m_whome /*i.m_power enfants enfants2 poor1 poor2*/ i.richesse5 i.eau 
                i.toilet shh shh2 /*i.hhsize*/ /*north south*/ christ_anim  i.region i.milieu
                , hr robust cl(v001);


                xi:weibull i.sexenf /*i.intervnais i.ordrenais */ intv intv2 bord bord2 i.taille 
                /*educ0 educ1*/ i.educmere  i.sexf /*ageme ageme2*/ i.agemeren i.polygamie 
                /*i.accouchstaff*/ i.accouchpl /*lombmi educm0 educm1 i.educmari agepe agepe2 
                i.m_cash*/ i.m_work i.m_whome /*i.m_power enfants enfants2 poor1 poor2*/ i.richesse5 i.eau 
                i.toilet shh shh2 /*i.hhsize*/ /*north south*/ christ_anim  i.region i.milieu
                , hr robust cl(v001);
                #delimit cr                 
                *outreg using "weibull.xls", ctitle(Weibull Model) bdec(3) 3aster  replace




use community, clear
/*ren sastate sstate
ren sagovt sgovt
ren saea senum*/
sort  sstate sgovt senum
save, replace

use ngkr41rt, replace
sort sstate sgovt senum
merge sstate sgovt senum using community
ta _merge, m
keep if _m==3
drop _m
*compress
save ngkr_comm, replace
*Telephone
recode sa107 2=0
ren sa107 phone

*Distance to Primary School
ta  sa108a, m
di (1+2+3+4+5+6+7+10+15+25+34)/11
replace sa108a=10 if sa108a==98 | sa108a==.
ren sa108a pschool_dist
g pschool_dist2=pschool_dist^2

*Distance to local market
ta  sa108d, m
di (1+2+3+4+5+6+7+8+10+11+12+13+15+20+21+25+28+30+34)/19
replace sa108d=13 if sa108d==98|sa108d==.
ren sa108d market_dist
g market_dist2=market_dist^2

*Distance to health facilities
ta  sa108g, m
di (1+2+3+4+5+6+7+8+9+10+11+12+13+14+15+16+18+19+20+22+25+26+30+34+35+40+45+50+54)/29
replace sa108g=19 if sa108g==94| sa108g==98| sa108g==.
ren sa108g healthfac_dist
g healthfac_dist2=healthfac_dist^2

*Distance to public transportation
ta  sa108h, m
di (1+2+3+4+5+6+7+8+10+12+13+15+16+18+20+22+25+30+42+50+54+56+66)/23
replace sa108h=21 if sa108h==94|sa108h==95|sa108h==98|sa108h==.
ren sa108h pubtransp_dist
g pubtransp_dist2=pubtransp_dist^2

*community based FP health program
recode sa109 2=0
replace sa109=0 if sa109==.
ren sa109 fp

replace  sa110a1=0 if  sa110a1==.
ren  sa110a1 fpvisits
ta fpvisits, m

recode  sa110a2 2=12
replace fpvisits =fpvisits* sa110a2
g fpvisits2=fpvisits^2


label var fpvisits "Number of visits for PF in months"
                do variable.do
                #delimit;

                xi: weibull i.sexenf /*i.intervnais i.ordrenais */ intv intv2 bord bord2 i.taille 
                /*educ0 educ1*/ i.educmere  i.sexf /*ageme ageme2*/ i.agemeren i.polygamie 
                /*i.accouchstaff*/ i.accouchpl /*lombmi educm0 educm1 i.educmari agepe agepe2 
                i.m_cash*/ i.m_work i.m_whome /*i.m_power enfants enfants2 poor1 poor2*/ i.richesse5 i.eau 
                i.toilet shh shh2 /*i.hhsize*/ /*north south*/ christ_anim  i.region i.milieu i.phone
                pschool_dist market_dist healthfac_dist pubtransp_dist i.fp fpvisits 
                , hr robust cl(v001);


                xi: cox i.sexenf /*i.intervnais i.ordrenais */ intv intv2 bord bord2 i.taille 
                /*educ0 educ1*/ i.educmere  i.sexf /*ageme ageme2*/ i.agemeren i.polygamie 
                /*i.accouchstaff*/ i.accouchpl /*lombmi educm0 educm1 i.educmari agepe agepe2 
                i.m_cash*/ i.m_work i.m_whome /*i.m_power enfants enfants2 poor1 poor2*/ i.richesse5 i.eau 
                i.toilet shh shh2 /*i.hhsize*/ /*north south*/ christ_anim  i.region i.milieu i.phone
                pschool_dist market_dist healthfac_dist pubtransp_dist i.fp fpvisits 
                , hr robust cl(v001);



                xi: weibull i.sexenf /*i.intervnais i.ordrenais */ intv intv2 bord bord2 i.taille 
                /*educ0 educ1*/ i.educmere  i.sexf /*ageme ageme2*/ i.agemeren i.polygamie 
                /*i.accouchstaff*/ i.accouchpl /*lombmi educm0 educm1 i.educmari agepe agepe2 
                i.m_cash*/ i.m_work i.m_whome /*i.m_power enfants enfants2 poor1 poor2*/ i.richesse5 i.eau 
                i.toilet shh shh2 /*i.hhsize*/ /*north south*/ christ_anim  i.region i.milieu i.phone
                pschool_dist pschool_dist2 market_dist market_dist2 healthfac_dist healthfac_dist2 
                pubtransp_dist pubtransp_dist2 i.fp fpvisits fpvisits2
                , hr robust cl(v001);

                xi: cox i.sexenf /*i.intervnais i.ordrenais */ intv intv2 bord bord2 i.taille 
                /*educ0 educ1*/ i.educmere  i.sexf /*ageme ageme2*/ i.agemeren i.polygamie 
                /*i.accouchstaff*/ i.accouchpl /*lombmi educm0 educm1 i.educmari agepe agepe2 
                i.m_cash*/ i.m_work i.m_whome /*i.m_power enfants enfants2 poor1 poor2*/ i.richesse5 i.eau 
                i.toilet shh shh2 /*i.hhsize*/ /*north south*/ christ_anim  i.region i.milieu i.phone
                pschool_dist pschool_dist2 market_dist market_dist2 healthfac_dist healthfac_dist2 
                pubtransp_dist pubtransp_dist2 i.fp fpvisits fpvisits2
                , hr robust cl(v001);
                #delimit cr                 
                *outreg using "weibull.xls", ctitle(Weibull Model Community added) bdec(3) 3aster  append


log close
set more on
exit








/*

                i.sa103 /*sa104 sa106 */ i.sa105 i.sa107 i.sa108a i.sa108b i.sa108b i.sa108c i.sa108d  i.sa108e 
                i.sa108f i.sa108g i.sa108h i.sa109 i.sa109a1 i.sa109a2 i.sa109a3 i.sa110 i.sa110a1 i.sa110b i.sa110c1 
                i.sa110c2 i.sa110c3 i.sa110d1 i.sa110d2 i.sa110d3 i.sa111 i.sa111a1 i.sa111b1 i.sa111b2 i.sa111b3 
                i.sa111b4 i.sa112


*/


