set more 1


use headspouse, clear


/*
#delimit;
global spouse "s_ilf s_nilf s_em s_unem s_ag s_man s_com s_adm s_other s_ne s_pnc 
s_pc s_snc s_sc s_ts s_hand s_agey s_agey_c s_agey2";
#delimit cr

foreach i of global spouse {
   replace `i'=0 if `i'==.
}

*/

*keep if sp==1

replace s_ag=1 if hid==102
replace h_unem=0 if hid==207
replace h_man=0 if hid==105
replace h_com=1 if hid==201
replace h_other=1 if hid==18101
replace s_ts=1 if hid==21406

cap drop rururb
g rururb=milieu

cap drop wta
g wta=pond

/*
gen byte rural = cond( rururb == 1, 1, 0 )
lab var rural "dummy for rural areas" 

gen byte urban = 1 - rural
*gen urban = cond( rururb == 2, 1, 0)
lab var urban "dummy for urban areas"*/

replace pauv=0 if pauv==.
count

ren pauv poor

label define dummy 1 "yes" 0 "No", add
label values poor dummy







/* ------------------------------- */
/* generate the dependent variable */
/* ------------------------------- */

gen     pl = povline 
lab var pl "Poverty line"

tab2 rururb pl, m
g double total_pc=pchhexp

sum hhexp total_pc

bysort rururb hid: gen double ln_wm_pl = ln( total_pc / pl )
lab var ln_wm_pl "ln(welfare measure)"

# delimit ;

tab strate rururb;
recast double hhsize;
gen double(weight)=wta*hhsize;
sum weight wta hhsize;

* Note we should use h_sgl (not h_nsp) because it correspond to the same number of houses with zero spouses. ;

rename poor poor_old;
gen poor=cond(total_pc<pl,1,0) if (total_pc~=.&pl~=.) ;
compare poor poor_old;
#delimit cr

cap drop rich
xtile rich=pchhinc , nq(5)
ta rich, m


sort hid ethnie
cap drop ivoirien
g ivoirien=cond(ethnie<=5, 1, 0)
ta ivoirien [aw=weig], m

recode region 4=3 9=8 10=8 11=8 15=14 16=14 18=14
recode region 1=1 2=2 3=3 5=4 6=5 7=6 8=7 12=8 13=9 14=10 17=11 19=12

cap label drop reg2
#delimit;
lab def reg2 1"LAGUNES" 2"ZANZAN" 3"MOYEN COMOE/AGNEBY" 4"SAVANES" 5"VALLEE DU BANDAMA" 
6"N'ZI COMOE" 7"MONTAGNES/DENGUELE/BAFING/MOYEN CAVALLY" 8"HAUT SASSANDRA" 9"BAS SASSANDRA" 
10"FROMAGER/MARAHOUE/LACS/SUD BANDAMA" 11"WORODOUGOU" 12"SUD COMOE" ;
#delimit cr
lab val region reg2

*lab drop _all

#delimit;

global xxx
"      num_bab num_bab2 num_kid num_kid2 num_ads num_ads2 num_srs num_srs2 
	h_agey h_agey2  
        h_pnc h_pc h_snc h_sc h_ts 
        h_t_mig h_l_mig
        h_hand
        h_anim h_musl
        h_krou h_mande h_volta h_etr
	h_com h_ag h_man h_other h_unem
        s_pnc s_pc s_snc s_sc s_ts 
	s_com s_ag s_man s_other s_unem
	landsize landsize2
	i.milieu i.region
";

global xxx2
"      num_bab num_bab2 num_kid num_kid2 num_ads num_ads2 num_srs num_srs2 
	h_agey h_agey2
        h_ne h_pnc h_pc h_snc h_ts 
        h_t_mig h_l_mig 
        h_hand
        h_anim h_musl
	h_com h_ag h_man h_other h_unem
        s_pnc s_pc s_snc s_sc s_ts 
	s_com s_ag s_man s_other s_unem
	landsize landsize2
	i.milieu i.region
";

global xxxvars
"      num_bab num_bab2 num_kid num_kid2 num_ads num_ads2 num_srs num_srs2 
	h_agey h_agey2  
        h_pnc h_pc h_snc h_sc h_ts 
        h_t_mig h_l_mig 
        h_hand
        h_anim h_musl
        h_krou h_mande h_volta h_etr
	h_com h_ag h_man h_other h_unem
        s_pnc s_pc s_snc s_sc s_ts 
	s_com s_ag s_man s_other s_unem
	landsize landsize2
	milieu region
";

cap log close;
log using "NewEstimates3.log", replace;

su $xxxvars;
corr $xxxvars;

ren ln_wm_pl logC ;




***Log Consumption***;
xi: reg logC $xxx [aw=weight], robust;
outreg using reg.xls, ctitle(OLSLogC) bdec(3) br 3aster replace;
cap drop OLSLogC;
predict OLSLogC;
su OLSLogC;
xi: reg logC $xxx if rururb==1 [aw=pond], robust;
outreg using reg.xls, ctitle(OLSLogCUr) bdec(3) br 3aster append;
*decompose, save(high);
cap drop OLSLogCUr;
predict OLSLogCUr;
su OLSLogCUr;
xi: reg logC $xxx if rururb==2 [aw=pond], robust;
outreg using reg.xls, ctitle(OLSLogCRu) bdec(3) br 3aster append;
*decompose, save(low);
*decompose;
cap drop OLSLogCRu;
predict OLSLogCRu;
su OLSLogCRu;
xi: reg logC $xxx2 if ivoirien==1 [aw=pond], robust;
outreg using reg.xls, ctitle(OLSLogCIv) bdec(3) br 3aster append;
*decompose, save(high);
cap drop OLSLogCIv;
predict OLSLogCIv;
su OLSLogCIv;
xi: reg logC $xxx2 if ivoirien==0 [aw=pond], robust;
outreg using reg.xls, ctitle(OLSLogCNIv) bdec(3) br 3aster append;
*decompose, save(low);
*decompose;
cap drop OLSLogCNIv;
predict OLSLogCNIv;
su OLSLogCNIv;


***Poverty****;
xi: dprobit poor $xxx [aw=pond], robust;
outreg using reg.xls, ctitle(OProbPov) bdec(3) br 3aster append;
cap drop OProbPov;
predict OProbPov;
su OProbPov;
xi: dprobit poor $xxx if rururb==1 [aw=pond], robust;
outreg using reg.xls, ctitle(OProbPovUr) bdec(3) br 3aster append;
*decompose, save(high);
cap drop OProbPovUr;
predict OProbPovUr;
su OProbPovUr;
xi: dprobit poor $xxx if rururb==2 [aw=pond], robust;
outreg using reg.xls, ctitle(OProbPovRu) bdec(3) br 3aster append;
*decompose, save(low);
*decompose;
cap drop OProbPovRu;
predict OProbPovRu;
su OProbPovRu;
xi: dprobit poor $xxx2 if ivoirien==1 [aw=pond], robust;
outreg using reg.xls, ctitle(OProbPovIv) bdec(3) br 3aster append;
*decompose, save(high);
cap drop OProbPovIv;
predict OProbPovIv;
su OProbPovIv;
xi: dprobit poor $xxx2 if ivoirien==0 [aw=pond], robust;
outreg using reg.xls, ctitle(OProbPovNIv) bdec(3) br 3aster append;
*decompose, save(low);
*decompose;
cap drop OProbPovNIv ;
predict OProbPovNIv ;
su OProbPovNIv;


cap drop lpchhinc ;
bysort rururb hid: gen double lpchhinc = ln( pchhinc / pl );
sum lpchhinc [aw=pond], detail;

***Log Income***;
xi: reg lpchhinc $xxx [aw=pond], robust;
outreg using reg.xls, ctitle(OLSLInc) bdec(3) br 3aster append;
predict OLSLInc;
su OLSLInc;
xi: reg lpchhinc $xxx if rururb==1 [aw=pond], robust;
outreg using reg.xls, ctitle(OLSLIncUr) bdec(3) br 3aster append;
*decompose, save(high);
cap drop OLSLIncUr;
predict OLSLIncUr;
su OLSLIncUr;
xi: reg lpchhinc $xxx if rururb==2 [aw=pond], robust;
outreg using reg.xls, ctitle(OLSLIncRu) bdec(3) br 3aster append;
*decompose, save(low);
*decompose;
cap drop OLSLIncRu;
predict OLSLIncRu;
su OLSLIncRu;
xi: reg lpchhinc $xxx2 if ivoirien==1 [aw=pond], robust;
outreg using reg.xls, ctitle(OLSLIncIv) bdec(3) br 3aster append;
*decompose, save(high);
cap drop OLSLIncIv;
predict OLSLIncIv;
su OLSLIncIv;
xi: reg lpchhinc $xxx2 if ivoirien==0 [aw=pond], robust;
outreg using reg.xls, ctitle(OLSLIncNIv) bdec(3) br 3aster append;
*decompose, save(low);
*decompose;
cap drop OLSLIncNIv;
predict OLSLIncNIv;
su OLSLIncNIv;

cap log close;

/*
svyset, strata( strate)
svyset psu hid
svyset pweight pond
svyreg lpchhinc $xxx [w=pond]
*/



*restore;

#delimit cr