clear
set mem 100m
set matsize 300
set more 1
set seed 123456789
set rmsg on

*! Author: Amadou Bassirou DIALLO
*AFTP, The World Bank, Washington
*CERDI, University of Auvergne.

 


cd "C:\Documents and Settings\Bachir\Desktop\Bachir\World Bank\Wodon\CIV\Cote d'Ivoire Consumption\STATA"

use final, replace


sort hid ethnie
cap drop ivoirien
g ivoirien=cond(ethnie<=5, 1, 0)
ta ivoirien [aw=weig], m

recode region 4=3 9=8 10=8 11=8 15=14 16=14 18=14
recode region 1=1 2=2 3=3 5=4 6=5 7=6 8=7 12=8 13=9 14=10 17=11 19=12

cap label drop reg2
#delimit;
use civ_inc, clear;
*ren idmen hid;
keep hid pchhinc varpct onepct fivepct ;
sort hid;
save temp, replace;

use final, clear;
sort hid;
merge hid using temp;
ta _merge;
keep if _merge==3;
drop _merge;
cap lab drop reg2;
lab def reg2 1"LAGUNES" 2"ZANZAN" 3"MOYEN COMOE/AGNEBY" 4"SAVANES" 5"VALLEE DU BANDAMA" 
6"N'ZI COMOE" 7"MONTAGNES/DENGUELE/BAFING/MOYEN CAVALLY" 8"HAUT SASSANDRA" 9"BAS SASSANDRA" 
10"FROMAGER/MARAHOUE/LACS/SUD BANDAMA" 11"WORODOUGOU" 12"SUD COMOE" ;
#delimit cr
lab val region reg2

*lab drop _all

#delimit;

*handicap head_hand hand_type head_hand_type other_hand_type ;
*        h_hand nbotherhandic ;

global xxx
"      num_bab num_bab2 num_kid num_kid2 num_ads num_ads2 num_srs num_srs2 
	h_agey_c h_agey2_c  
        h_pnc h_pc h_snc h_sc h_ts
        s_pnc s_pc s_snc s_sc 
	h_com h_adm h_man h_other h_unem
	s_com s_adm s_man s_other s_unem
        t_mig_h l_mig_h 
        h_hand nbotherhandic 
        h_anim h_musl
        h_krou h_mande h_volta h_etr
	lander landsz2 
	lomwater lomelec lomtelephone 
	i.milieu i.region
";
replace pchhinc = . if pchhinc<0;

cap drop lpchhinc ;
bysort rururb hid: gen double lpchhinc = ln( pchhinc / pl );
sum lpchhinc [aw=pond], detail;


*SUREG ;

cap log close;
log using sureg.log, replace;

xi: reg3 (logC $xxx) (lpchhinc $xxx), sure ;


*xi: sureg (logC $xxx) (lpchhinc $xxx) ;
outreg using reg.xls, ctitle(SUREGLOGCLOGI) bdec(3) br 3aster append;

predict predlogC, equation(logC);
predict predlogI, equation(lpchhinc);
su predlogC predlogI [aw=pond];
test h_hand;
test nbotherhandic;
test h_hand=nbotherhandic;
test [logC]nbotherhandic = [lpchhinc]nbotherhandic;
test [logC]h_hand = [lpchhinc]h_hand;
test [logC]nbotherhandic = [lpchhinc]nbotherhandic, accum;
test [logC]h_hand-[logC]nbotherhandic = [lpchhinc]h_hand - [lpchhinc]nbotherhandic;

*Defining some constraints: effects (coefficients) of nbotherhandic and h_hand are the equal;
constraint def 1 [logC]h_hand=[lpchhinc]h_hand;
constraint def 2 [logC]nbotherhandic=[lpchhinc]nbotherhandic;

xi: reg3 (logC $xxx) (lpchhinc $xxx), sure cons(1 2) ;
*xi: sureg (logC $xxx) (lpchhinc $xxx), cons(1 2) ;
outreg using reg.xls, ctitle(SUREGLOGCLOGI_const) bdec(3) br 3aster append;
predict predlogC_cons, equation(logC);
predict predlogI_cons, equation(lpchhinc);
su predlogC_cons predlogI_cons [aw=pond];
test h_hand;
test nbotherhandic;
test h_hand=nbotherhandic;
test [logC]nbotherhandic = [lpchhinc]nbotherhandic;
test [logC]h_hand = [lpchhinc]h_hand;
test [logC]nbotherhandic = [lpchhinc]nbotherhandic, accum;
test [logC]h_hand-[logC]nbotherhandic = [lpchhinc]h_hand - [lpchhinc]nbotherhandic;

ta poor h_hand [aw=pond], row col;
ta poor nbotherhandic [aw=pond], row col;
ta rururb h_hand [aw=pond], row col;
ta rururb nbotherhandic [aw=pond], row col;
ta ivoirien h_hand [aw=pond], row col;
ta ivoirien nbotherhandic [aw=pond], row col;
#delim cr


cap log close
set rmsg off
set more on 
exit